Index: trunk/gsdl3/web/interfaces/default/transform/style.xsl
===================================================================
--- trunk/gsdl3/web/interfaces/default/transform/style.xsl	(revision 5195)
+++ trunk/gsdl3/web/interfaces/default/transform/style.xsl	(revision 5198)
@@ -54,4 +54,10 @@
   
   <xsl:attribute-set name="td-brownbutton-off">
+    <xsl:attribute name='background'>interfaces/default/images/greenbar.gif</xsl:attribute>
+    <xsl:attribute name='height'>20</xsl:attribute>
+    <xsl:attribute name='align'>center</xsl:attribute>
+  </xsl:attribute-set>
+  
+  <xsl:attribute-set name="td-navbar">
     <xsl:attribute name='background'>interfaces/default/images/greenbar.gif</xsl:attribute>
     <xsl:attribute name='height'>20</xsl:attribute>
@@ -122,5 +128,5 @@
 	    <tr>
 	      <td xsl:use-attribute-sets="td-brownbutton">
-		<a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=home">
+		<a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=home"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_tip')"/></xsl:attribute>
 		  <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'home_b')"/></font></b>
 		</a>
@@ -134,5 +140,5 @@
 		<xsl:otherwise>
 		  <td xsl:use-attribute-sets="td-brownbutton">
-		    <a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}">
+		    <a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=help&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_tip')"/></xsl:attribute>
 		      <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'help_b')"/></font></b>
 		    </a>
@@ -148,5 +154,5 @@
 		<xsl:otherwise>
 		  <td xsl:use-attribute-sets="td-brownbutton">
-		    <a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}">
+		    <a style="text-decoration:none" href="{$library_name}?a=p&amp;sa=pref&amp;c={$collName}"><xsl:attribute name="title"><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_tip')"/></xsl:attribute>
 		      <b><font color='{$colour-button-text}'><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'pref_b')"/></font></b>
 		    </a>
@@ -167,6 +173,5 @@
     <xsl:variable name="this-service" select="/page/pageResponse/service/@name"/>
     <table border='0' cellspacing='0' width='100%'>
-      <tr height='20' background='interfaces/default/images/greenbar.gif'>
-	<td>&#160;</td>
+      <tr>
 	<xsl:for-each select="$this-element/serviceList/service">
 	  <xsl:variable name="action"><xsl:choose>
@@ -180,12 +185,11 @@
 	  <xsl:choose>
 	    <xsl:when test="$action='CURRENT'">
-	      <td>&#160;</td><td align='center' ><b><nobr>&#160;<font size='+1' color='{$colour-navbar-selected-text}'><xsl:value-of select="displayItem[@name='name']"/></font>&#160;</nobr></b></td><td height='17'>&#160;</td>
+	      <td  xsl:use-attribute-sets="td-navbar"><b><nobr><font size='+1' color='{$colour-navbar-selected-text}'><xsl:value-of select="displayItem[@name='name']"/></font></nobr></b></td>
 	    </xsl:when>
 	    <xsl:when test="$action !='DO_NOT_DISPLAY'">
-	      <td>&#160;</td><td align='center'><a style="text-decoration:none" href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:attribute name='onMouseOver'>rollover('<xsl:value-of select="displayItem[@name='description']"/>')</xsl:attribute><b><nobr>&#160;<font size='+1' color='{$colour-navbar-link-text}'><xsl:value-of select="displayItem[@name='name']"/></font>&#160;</nobr></b></a></td><td>&#160;</td>
+	      <td  xsl:use-attribute-sets="td-navbar"><a style="text-decoration:none" href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><xsl:if test="displayItem[@name='description']"><xsl:attribute name='title'><xsl:value-of select="displayItem[@name='description']"/></xsl:attribute></xsl:if><b><nobr><font size='+1' color='{$colour-navbar-link-text}'><xsl:value-of select="displayItem[@name='name']"/></font></nobr></b></a></td>
 	    </xsl:when>
 	  </xsl:choose>
 	</xsl:for-each>
-	<td>&#160;</td>
       </tr>
     </table>