Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 5227)
+++ /trunk/gli/classes/dictionary.properties	(revision 5228)
@@ -134,19 +134,18 @@
 CDM.General.Icon_Collection:URL to about page icon:
 CDM.General.Icon_Collection_Small:URL to home page icon:
-CDM.FormatManager.Add:Add Format
+CDM.FormatManager.Add:Add
 CDM.FormatManager.Assigned_Formats:Currently Assigned Format Commands
-CDM.FormatManager.Custom:{43}{48}custom{49}{45}
-CDM.FormatManager.Editor:Edit Format String
+CDM.FormatManager.Editor:HTML Format String
+CDM.FormatManager.Editing_Controls:Editing Controls
 CDM.FormatManager.Feature:Choose Feature
 CDM.FormatManager.Insert:Insert
 CDM.FormatManager.Instructions:The web pages you see when using Greenstone are not pre-stored but are generated 'on the fly' as they are needed. Format commands are used to change the appearance of these generated pages. Some are switches that control the display of documents or parts of documents; others are more complex and require html code as an argument.\nTo add a format command, choose it from the 'feature' list. If a True/False option panel appears, select the state by clicking on the appropriate button. If a panel containing the 'Affected Feature' and 'Edit Format Strings' controls appears, you need to enter html text. You can include preset variables by selecting them from the list.\nOnce you are statisfied with your changes, press 'Add Format' to add it to the configuration file.\nRemove a format command by selecting it from the 'Assigned Format Commands' and clicking 'Remove Format'.
-CDM.FormatManager.Off:False
-CDM.FormatManager.On:True
 CDM.FormatManager.Part:Affected Component
-CDM.FormatManager.Preview:Preview Format
-CDM.FormatManager.Remove:Remove Format
-CDM.FormatManager.Special:Variables
+CDM.FormatManager.Remove:Remove
+CDM.FormatManager.Replace:Replace
+CDM.FormatManager.Reset:Restore Default
 CDM.FormatManager.Title:{39}{46}Format Commands{47}{34}
 CDM.FormatManager.Value:Value:
+CDM.FormatManager.Variable:Variables
 CDM.General.Email.Creator:Creator's Email
 CDM.General.Email.Maintainer:Maintainer's Email
@@ -239,5 +238,6 @@
 CDM.SearchTypeManager.Instructions:Defining the search type is an advanced feature only available when enabled (by checking the 'Enable Advanced Searches' box). Once enabled further controls for selecting and changing the order of search types become available. Select a search type from the combobox and 'Add Search Type', if enabled, to add the search type. Select an existing search type from the list, and use 'Move Up' and 'Move Down' to change the order, or 'Remove Search Type' to remove it.\n\nThe search types specify what kind of search interface should be provided: form, for fields searching, and/or plain for regular searching. The ordering is important as the first one will be used for the initial search page by default.\n\nIt is also important to note that enabling search types causes the appearance of the Indexes view to change as well. Fielded searching is a newer feature of Greenstone, and thus requires different index information. When search types is enabled all current indexes are modified to be valid indexes under the new schema, while disabling search types will cause GLI to do its best to convert new indexes back into the old style but it may not always be successful, in which case the indexes will be removed. In either case a copy of the original index command line will be available as a comment in the configuration file. 
 CDM.SearchTypeManager.Remove:Remove Selected Search Type
-CDM.SearchTypeManager.SearchType:Search Types:
+CDM.SearchTypeManager.SearchType:Search Type
+CDM.SearchTypeManager.SearchType_Selection:Search Types:
 CDM.SearchTypeManager.Title:{39}{46}Search Type Selection & Ordering{47}{34}
 CDM.SubcollectionManager.Add:Add New Filter
@@ -739,5 +739,5 @@
 #
 #***** Missing EXEC *****
-MissingEXEC.Message:Warning! You will not be able to view your new collections within the Librarian Interface unless you specify the path to the locally running Greenstone Library Webserver. You can enter this now in the text field below, or later by going to Preferences and choosing the Connection tab.
+MissingEXEC.Message:Warning! You will not be able to view your new collections within the Librarian Interface unless you specify the path to the locally running Greenstone Library Webserver. You can enter this now in the text field below, or later by going to Preferences and choosing the Connection tab. Remember the a valid url must start with the protocol "http://", and end with the execuable name ("library" for Greenstone local library server, "gsdl" for other web servers).
 MissingEXEC.Title:Missing Greenstone Library Address
 #***** Missing GSDL *****