Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 5335)
+++ /trunk/gli/classes/dictionary.properties	(revision 5336)
@@ -82,10 +82,7 @@
 #
 #***** Browser *****
-Browser.Address:{33}Address{34}
 Browser.Back:Back
 Browser.Bookmarks:Bookmarks
 Browser.CannotConnect:Cannot connect to {0}
-Browser.Download_Begun:Downloading {0}
-Browser.Download_Complete:Download of {0} complete
 Browser.Follow:Follow hyperlink to {0}
 Browser.Forward:Forward
@@ -168,5 +165,4 @@
 CDM.IndexManager.Add:Add Index
 CDM.IndexManager.Clear_Default:Clear Default
-CDM.IndexManager.Default_Index:Default Index:
 CDM.IndexManager.Default_Index_Indicator:[Default Index]
 CDM.IndexManager.Document:document
@@ -198,5 +194,4 @@
 CDM.IndexManager.Set_Default:Set Default
 CDM.IndexManager.Source:Build index on:
-CDM.IndexManager.Text_Only:'text' only.
 CDM.IndexManager.Title:{39}{46}Index Selection{47}{34}
 CDM.LanguageManager.Add:Add Language
@@ -208,5 +203,4 @@
 CDM.LanguageManager.Selector:Language to add: 
 CDM.LanguageManager.Set_Default:Set Default
-CDM.LanguageManager.Translate:Translate Assigned Text Fragments
 CDM.MetadataSetManager.Elements:Elements in selected Metadata Set
 CDM.MetadataSetManager.Instructions:In this read-only design view you can review the Metadata Sets in your collection, what Elements they contain, and how they will appear in the collection configuration file.
@@ -273,6 +267,4 @@
 CDM.TranslationManager.Assigned:Ready
 CDM.TranslationManager.Assigned_Fragments:Assigned Translations
-CDM.TranslationManager.Column_Name_0:Language
-CDM.TranslationManager.Column_Name_1:Text Fragment
 CDM.TranslationManager.Default_Text:Initial Text Fragment
 CDM.TranslationManager.Instructions:Use this view to review and assign translations of text fragments in your collection. First, select an entry from the list of features (e.g. collection level metadata and classifier names). Next, select and edit a text fragment, or select a language from the combobox in order to add a new fragment. Type the text into the white text area, referring to the initial text fragment as necessary. Any changes will appear immediately in the collection.
@@ -285,23 +277,16 @@
 #
 #***** Collection *****
-Collection.Cancel_Action:Cancel
 Collection.Collection:{32}Collection: {0}{34}
 Collection.No_Collection:No Collection
-Collection.Selection_Information:Selection Information
 Collection.Workspace:{32}Workspace{34}
-Collection.Workspace_View:{32}View:{34}
 #**********************
 #
 #***** CollectionManager *****
 CollectionManager.Cannot_Open:The collection at {0} cannot be opened.
-CollectionManager.Collection_Saved:The collection '{0}' has been saved.
 CollectionManager.Creating_New:Creating a new collection {0}.
-CollectionManager.Creation_Failed_Already_Exists:Collection cannot be created because a collection with the filename '{0}' already exists.
 CollectionManager.File_Not_Found:{0}\nThe collection above cannot be opened as it no longer exists.
 CollectionManager.Gcache_Created:The Librarian Interface cache folder created.
-CollectionManager.Gimport_Created:The Librarian Interface import folder created.
 CollectionManager.Log_Created:The log folder created.
 CollectionManager.Loading_Successful:Loaded collection {0}.
-CollectionManager.Locked:<html>A lock file already exists for the collection '{0}'.<br>Do you wish to ignore this lock?<br>(Doing so may have dire conquences if you intend to save)</html>
 CollectionManager.Not_Col_File:'{0}' is not a Librarian Interface Collection File (.col)
 CollectionManager.Old_Collection:GLI has detected that this is an older version Greenstone collection.\nCurrently these cannot be opened directly.   To build this collection\ninstead start a new collection  based on this collection, then import\nall of the files from the old  collection. This will insure the necessary\nGLI files are created,  and makes the collection ready for editing\nand building.
@@ -309,5 +294,4 @@
 CollectionManager.Preview_Ready_Failed:An error has occured which will prevent the collection being previewed.
 CollectionManager.Preview_Ready_Title:Collection Preview State.
-CollectionManager.Save_Error:Cannot save collection {0}.
 CollectionManager.Session_Ready:Collection {0} ready for use.
 #*****************************
@@ -320,61 +304,18 @@
 #***** CreatePane *****
 CreatePane.All:All
-CreatePane.AllClassifications:allclassifications
-CreatePane.AllClassifications_Tip:Prevent the build process from removing classifications that include no documents (for example, the "X" classification in title if there are no documents whose titles start with the letter <i>X</i>).
-CreatePane.ArchiveDir:archivedir
-CreatePane.ArchiveDir_Tip:Specify where the Greenstone archive files are stored - that is, where <i>import.pl</i> puts them and where <i>buildcol.col</i> finds them. Defaults to <i>GSDLHOME/collect/col_name/archives</i>
 CreatePane.Build:Build
 CreatePane.Build_Collection:Build Collection
-CreatePane.BuildDir:builddir
-CreatePane.BuildDir_Tip:Specify where the result of building is to be stored (defaults to <i>GSDLHOME/collect/col_name/building</i>).
 CreatePane.Build_Progress:Build Progress
 CreatePane.Cancel_Build:Cancel Build
-CreatePane.CollectDir:collectdir
-CreatePane.CollectDir_Tip:Specify where the collection can be found. Defaults to <i>GSDLHOME/collect</i>
 CreatePane.Copy_Progress:Copy Progress
-CreatePane.CreateImages:create_images
-CreatePane.CreateImages_Tip:Create colleciton icons automatically (to use this, GIMP, and the Gimp Perl module, must be installed).
-CreatePane.Debug:debug
-CreatePane.Debug_Tip:Print plugin output to standard output.
 CreatePane.Document_Count:Collection contains {0} files.
 CreatePane.General:General
-CreatePane.GroupSize:groupsize
-CreatePane.GroupSize_Tip:Number of documents to group together into one Greenstone archive file, defaults 1 (that is, one document per file).
-CreatePane.GZip:gzip
-CreatePane.GZip_Tip:Zip up the Greenstone archive documents produced by <i>import</i> (ZIPPlug must be included in the plugin list, and <i>gzip</i> must be installed on your machine).
 CreatePane.Import:Import
 CreatePane.Import_Progress:Import Progress
-CreatePane.Index:index
-CreatePane.Index_Tip:Specify which indexes to build. This defaults to all the indexes indicated in the collection configuration file.
-CreatePane.KeepOld:keepold
-CreatePane.KeepOld_Tip:Do not remove the result of the previous import or build operation. In the case of import, do not remove the contents of the <i>archives</i> folder; when building, do not remove the content of the <i>building</i> folder.
-CreatePane.ImportDir:importdir
-CreatePane.ImportDir_Tip:Where material to be imported is found. Defaults to <i>GSDLHOME/collection/col_name/gimport</i>
 CreatePane.Log:Message Log
-CreatePane.MaxDocs:maxdocs
-CreatePane.MaxDocs_Tip:Indicates the maximum number of documents to be imported or built. Useful when testing a new collection configuration file, or new plugins.
-CreatePane.Mode:mode
 CreatePane.Mode_All:all
-CreatePane.Mode_Build_Index:build index
-CreatePane.Mode_Compress_Text:compress text
-CreatePane.Mode_InfoDB:infodb
-CreatePane.Mode_Tip:Determine what the build process is to do (defaults to <i>all</i>). <i>All</i> does a full build, <i>compress_text</i> only compresses the document text, <i>infodb</i> creates a database of information pertaining the to collection and <i>build_index</i> builds the indexes specified in the collection configuration file or on the command line.
-CreatePane.NoText:no_text
-CreatePane.NoText_Tip:Don't store compressed text. This options is useful for minimizing the size of the built indexes if you intend to always display the original documents at run-time.
-CreatePane.OIDType:OIDtype
-CreatePane.OIDType_Hash:hash
-CreatePane.OIDType_Incremental:incremental
-CreatePane.OIDType_Tip:Method of creatings OIDs for documents: <i>hash</i> hashes the content but is slow; <i>incremental</i> simply assigns document numbers sequentially, and is faster.
 CreatePane.Options:Option Groups
 CreatePane.Options_Title:Collection Import & Build Options
-CreatePane.Out:out
-CreatePane.Out_Tip:Specify a file to which to write all output messages, which defaults to standard error (the screen). Useful when working with debugging statements.
-CreatePane.RemoveOld:removeold
-CreatePane.RemoveOld_Tip:Remove the contents of the <i>archives</i> folder before importing.
 CreatePane.Statistics_Title:Collection Statistics
-CreatePane.SortMeta:sortmeta
-CreatePane.SortMeta_Tip:Sort the documents alphabetically by the named metadata tag. However, if the collection has more than one group in the collection (i.e. <i>groupsize</i> > 1), this functionality is disabled.
-CreatePane.Verbosity:verbosity
-CreatePane.Verbosity_Tip: A number between zero and three that controls how much information about the process is printed to the standard error stream; 0 gives a little, 3 gives lots.
 #**********************
 #
@@ -408,10 +349,5 @@
 #***** FileActions *****
 FileActions.Calculating_Size:Calculating total size of selected files.
-FileActions.Cannot_Copy:Files cannot be copied. Please check disk space.
-FileActions.Cannot_Delete:Files cannot be deleted. Please check permissions.
-FileActions.Cannot_Move:Files cannot be moved. Please check disk space and permissions.
-FileActions.Copied_Files:Copied {0} files to {1}.
 FileActions.Copying:Copying {0}.
-FileActions.Deleted: Deleted {0} files.
 FileActions.Deleting:Deleting {0}.
 FileActions.Directories_Selected:{0} folders selected
@@ -433,15 +369,10 @@
 FileActions.InvalidTarget:The selected files cannot be copied or moved to this location.
 FileActions.Jobs:{0} file actions remaining.
-FileActions.Moved_Files:Moved {0} files to {1}.
 FileActions.Moving:Moving {0}.
 FileActions.No_Activity:No action requested.
 FileActions.No_Parent_For_New_Folder:To create a new folder you must first select a single destination folder in the collection tree.
 FileActions.No_Selection:No files selected.
-FileActions.No_To_All:No to All
-FileActions.Pre_Action:Select destination for these {0} files.
 FileActions.Read_Only:Files from the workspace are read only and cannot be deleted.
 FileActions.ReadOnlyTarget:Files and folders in the workspace are read only and cannot be added to.
-FileActions.Reading_Metadata:Reading existing metadata. Please be patient.
-FileActions.Recalculating:Folder found. Recalculating total file size.
 FileActions.Selected:{0} files and {1} folders selected
 FileActions.Unknown:unknown
@@ -487,8 +418,6 @@
 # 0 - A String representing the name and method of the class in question.
 General.Apply:Apply
-General.Apply_Tooltip:Click here to immediately apply any changes made.
 General.Browse:Browse
 General.Cancel:Cancel
-General.Cancel_Tooltip:Click here to cancel the prompt and ignore changes.
 General.Close:Close
 General.Edit:Edit Value
@@ -497,12 +426,8 @@
 General.File_Description:Librarian Interface Collection (*.col)
 General.No:No
-General.OFF:Off
 General.OK:OK
-General.OK_Tooltip:Click here to accept the changes then remove the prompt.
-General.ON:On
 General.Open:Open
 General.Outstanding_Processes:<html>The Librarian Interface cannot close completely until all programs<br>started within The Librarian Interface have also exited.</html>
 General.Outstanding_Processes_Title:Waiting To Exit
-General.Proxy_Set_Error:Warning. Proxy not available.
 General.Usage:Usage: Gathaen <params>\nAll parameters are optional but the Librarian Interface may fail to work if -gsdl and -library aren't set.\n -gsdl <path>  : Force path to gsdl\n -library <path> : Path to cgi-bin\n -mozilla <path> : Enabled mozilla\n -mirror : Enable web-mirroring controls\n -laf [java|windows|motif|mac] : Look and feel\n -debug : Enable debug messages\n -no_load : Don't load previously open collection\n -load <path> : Load the specified collection
 General.Warning:Warning
@@ -526,5 +451,4 @@
 #***** GStartBox *****
 GStartBox.Exit:{32}Exit{34}
-GStartBox.Load:{32}Load{34}
 GStartBox.New:{32}New{34}
 #*********************
@@ -668,5 +592,4 @@
 #***** MetaAudit *****
 MetaAudit.Close:Close
-MetaAudit.Hide_Columns:View/Hide Empty Columns
 MetaAudit.Title:All Metadata
 #*********************
@@ -688,16 +611,10 @@
 MetaEdit.No_Metadata:No Metadata Available
 MetaEdit.No_Metadata_Element:{32}No Metadata Element Selected{34}
-MetaEdit.No_Type:{38}(Any value){34}
-MetaEdit.Not_Applicable:Not Applicable
 MetaEdit.Ready:Ready
 MetaEdit.Remove:Remove
-MetaEdit.Restore:Restore Tree
 MetaEdit.Search:Search
-MetaEdit.Thumbnail:{32}Thumbnails for selection{34}
 MetaEdit.Tree:All Previous Values
 MetaEdit.Value:Value
 MetaEdit.View:View
-MetaEdit.View_Assigned:View Assigned Metadata
-MetaEdit.View_Unassigned:View Unassigned Metadata
 #********************
 #
@@ -728,10 +645,7 @@
 Mirroring.Download_Depth:Download Depth:
 Mirroring.Download_Hidden:Download embedded objects (images etc)?
-Mirroring.Download_List:Download List
-Mirroring.Download_List_Configuration:Download List Options
 Mirroring.Further_Options:For further options see File->Preferences...
 Mirroring.Higher_Directories:Mirror files from folders above the url given?
 Mirroring.Invalid_URL:The URL entered is not valid. Please correct.
-Mirroring.Invalid_URL_Title:Malformed URL
 Mirroring.Overwrite_Existing:Overwrite files if they already exist locally?
 Mirroring.Remove_Failed:Automatically remove failed downloads from the list?
@@ -769,5 +683,4 @@
 MSMPrompt.Cancel:Cancel
 MSMPrompt.Current_Details:Details of existing Metadata Element
-MSMPrompt.Current_Element:Current Element
 MSMPrompt.Current_Values:Current Values
 MSMPrompt.Element_Name:Element Name
@@ -782,5 +695,4 @@
 MSMPrompt.File_Filter_Description:Metadata Sets (.mds)
 MSMPrompt.File_Import:Import
-MSMPrompt.GDMParser.Parsing:Parsing the file at:
 MSMPrompt.GDMParser.Title:Parsing Greenstone Metadata File
 MSMPrompt.Import_Title:Import Metadata Set
@@ -789,8 +701,6 @@
 MSMPrompt.Merge_MDE:Merging Metadata Elements
 MSMPrompt.Merge_MDS:Merging Action Required.
-MSMPrompt.Merge_Progress:Metadata Set Merging Progress.
 MSMPrompt.Name_Exists:Name already in use.
 MSMPrompt.New_Details:Details of new Metadata Element
-MSMPrompt.New_Element:Imported Element
 MSMPrompt.New_Name:New Name
 MSMPrompt.New_Value:Imported Value
@@ -828,8 +738,5 @@
 NewCollectionPrompt.Collection_Name:Short Name:
 NewCollectionPrompt.Collection_Title:Title:
-NewCollectionPrompt.Default_Description:A Greenstone Digital Collection built with The Librarian Interface.
 NewCollectionPrompt.Description_Error:The description field must be filled out. Please correct.
-NewCollectionPrompt.DLS:DLS
-NewCollectionPrompt.Dublin_Core:Dublin Core
 NewCollectionPrompt.Email_Error:You have either failed to enter an email, or the email as typed is not a valid. Please correct.
 NewCollectionPrompt.Error:Error in new collection.
@@ -867,5 +774,4 @@
 #
 #***** Options *****
-Options.Automatic_Metadata_Extraction:Automatic Metadata Extraction
 Options.Connection:Connection
 Options.Download:Download
@@ -898,5 +804,4 @@
 Preferences.General.Interface_Language:Interface Language:
 Preferences.General.Restart_Required:GLI should now be restarted in order to complete loading a new interface language.
-Preferences.General.Restart_Required_Title:Restart Required
 Preferences.General.Show_File_Size:Show file size
 Preferences.General.View_Extracted_Metadata:View Extracted Metadata
@@ -913,10 +818,5 @@
 Preferences.Workflow.Preview:Preview - Browse built collection
 Preferences.Workflow.Title:Check box to enable view
-#***********************
-#
-#***** POLLO *****
-Pollo.Message:Pollo Message
-Pollo.Well_Formedness_Error:This edited xml contains well formedness errors. Do you wish to discard changes and close editor?
-#*****************
+#**********************
 #
 #***** Save Collection Box *****
@@ -958,5 +858,4 @@
 #*******************************
 #
-Server.QuitFailure:The Librarian Interface is unable to restore the original\nsettings in the greenstone local libraries gsdlsite.cfg\nfile. Please edit this file so that:\nautoenter={0}\nstart_browser={1}
 Server.QuitManual:The Librarian Interface was unable to close the local\nlibrary server automatically. Please exit the server\nmanually by clicking on the cross icon in its top\nright-hand corner, then click OK on this dialog.
 Server.QuitTimeOut:The greenstone local library has not responded to the\nautomatic close command for sixty seconds. Do you\nwish to wait for another minute?
@@ -977,10 +876,8 @@
 #***** Trees *****
 Tree.Home:Home Folder ({0})
-Tree.Multiple_Items:files.
 Tree.New_Folder:New Folder
 Tree.Private:Private WebCache
 Tree.Public:Public WebCache
 Tree.Root:Local Filespace
-Tree.Unnamed:Unnamed
 Tree.World:Greenstone Collections
 #*****************