Index: trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 4675)
+++ trunk/gli/src/org/greenstone/gatherer/gui/MenuBar.java	(revision 5346)
@@ -94,35 +94,35 @@
     public MenuBar(MenuListener menu_listener) {
 
-	file = new JMenu(get("File"));
+	file = new JMenu(get("Menu.File"));
 	file.setMnemonic(KeyEvent.VK_F);
 	this.add(file);
 
-	file_associations = new JMenuItem(get("File_Associations"), KeyEvent.VK_A);
+	file_associations = new JMenuItem(get("Menu.File_Associations"), KeyEvent.VK_A);
 	file_associations.addActionListener(Gatherer.g_man);	  
 
-	file_close = new JMenuItem(get("File_Close"), KeyEvent.VK_C);
+	file_close = new JMenuItem(get("Menu.File_Close"), KeyEvent.VK_C);
 	file_close.addActionListener(Gatherer.g_man);
 	file_close.setEnabled(false);
 
-	file_delete = new JMenuItem(get("File_Delete"), KeyEvent.VK_D);
+	file_delete = new JMenuItem(get("Menu.File_Delete"), KeyEvent.VK_D);
 	file_delete.addActionListener(Gatherer.g_man);
 
-	file_exit = new JMenuItem(get("File_Exit"), KeyEvent.VK_X);
+	file_exit = new JMenuItem(get("Menu.File_Exit"), KeyEvent.VK_X);
 	file_exit.addActionListener(Gatherer.g_man);
 
-	file_new = new JMenuItem(get("File_New"), KeyEvent.VK_N);
+	file_new = new JMenuItem(get("Menu.File_New"), KeyEvent.VK_N);
 	file_new.addActionListener(Gatherer.g_man);
 
-	file_open = new JMenuItem(get("File_Open"), KeyEvent.VK_O);
+	file_open = new JMenuItem(get("Menu.File_Open"), KeyEvent.VK_O);
 	file_open.addActionListener(Gatherer.g_man);
 
-	file_options = new JMenuItem(get("File_Options"), KeyEvent.VK_P);
+	file_options = new JMenuItem(get("Menu.File_Options"), KeyEvent.VK_P);
 	file_options.addActionListener(Gatherer.g_man);	  
 
-	file_save = new JMenuItem(get("File_Save"), KeyEvent.VK_S);
+	file_save = new JMenuItem(get("Menu.File_Save"), KeyEvent.VK_S);
 	file_save.addActionListener(Gatherer.g_man);
 	file_save.setEnabled(false);
 
-	file_save_as = new JMenuItem(get("File_Save_As"), KeyEvent.VK_A);
+	file_save_as = new JMenuItem(get("Menu.File_Save_As"), KeyEvent.VK_A);
 	//file_save_as.addActionListener(Gatherer.g_man);
 	file_save_as.setEnabled(false);		  
@@ -148,23 +148,23 @@
 	this.add(edit);
 		  
-	edit_cut = new JMenuItem(get("Edit_Cut") + " (ctrl-x)", KeyEvent.VK_X);
+	edit_cut = new JMenuItem(get("Menu.Edit_Cut") + " (ctrl-x)", KeyEvent.VK_X);
 	edit_cut.addActionListener(Gatherer.g_man);
 
-	edit_copy = new JMenuItem(get("Edit_Copy") + " (ctrl-c)", KeyEvent.VK_C);
+	edit_copy = new JMenuItem(get("Menu.Edit_Copy") + " (ctrl-c)", KeyEvent.VK_C);
 	edit_copy.addActionListener(Gatherer.g_man);
 
-	edit_paste = new JMenuItem(get("Edit_Paste") + " (ctrl-v)", KeyEvent.VK_V);
+	edit_paste = new JMenuItem(get("Menu.Edit_Paste") + " (ctrl-v)", KeyEvent.VK_V);
 	edit_paste.addActionListener(Gatherer.g_man);
 
-	edit_undo = new JMenuItem(get("Edit_Undo"), KeyEvent.VK_U);
+	edit_undo = new JMenuItem(get("Menu.Edit_Undo"), KeyEvent.VK_U);
 	edit_undo.setEnabled(false);
 
-	edit_redo = new JMenuItem(get("Edit_Redo"), KeyEvent.VK_D);
+	edit_redo = new JMenuItem(get("Menu.Edit_Redo"), KeyEvent.VK_D);
 	edit_redo.setEnabled(false);
 
-	edit_search = new JMenuItem(get("Edit_Search"), KeyEvent.VK_S);
+	edit_search = new JMenuItem(get("Menu.Edit_Search"), KeyEvent.VK_S);
 	edit_search.addActionListener(Gatherer.g_man);
 
-	edit_replace = new JMenuItem(get("Edit_Replace"), KeyEvent.VK_R);
+	edit_replace = new JMenuItem(get("Menu.Edit_Replace"), KeyEvent.VK_R);
 	edit_replace.addActionListener(Gatherer.g_man);
 
@@ -180,18 +180,18 @@
 
 	// Metadata menu
-	metadata = new JMenu(get("Metadata"));
+	metadata = new JMenu(get("Menu.Metadata"));
 	metadata.setEnabled(false);
 	metadata.setMnemonic(KeyEvent.VK_M);
 
-	metadata_add = new JMenuItem(get("Metadata_Add"), KeyEvent.VK_I);
+	metadata_add = new JMenuItem(get("Menu.Metadata_Add"), KeyEvent.VK_I);
 	metadata_add.addActionListener(Gatherer.g_man);
 
-	metadata_edit = new JMenuItem(get("Metadata_Edit"), KeyEvent.VK_E);
+	metadata_edit = new JMenuItem(get("Menu.Metadata_Edit"), KeyEvent.VK_E);
 	metadata_edit.addActionListener(Gatherer.g_man);
 
-	metadata_export = new JMenuItem(get("Metadata_Export"), KeyEvent.VK_X);
+	metadata_export = new JMenuItem(get("Menu.Metadata_Export"), KeyEvent.VK_X);
 	metadata_export.addActionListener(Gatherer.g_man);
 
-	metadata_view = new MagicMenuItem(get("Metadata_View") + " " + get("FileActions.No_Selection"), KeyEvent.VK_A);
+	metadata_view = new MagicMenuItem(get("Menu.Metadata_View") + " " + get("FileActions.No_Selection"), KeyEvent.VK_A);
 	metadata_view.addActionListener(Gatherer.g_man);	
 
@@ -204,7 +204,7 @@
 
 	// Tools menu
-	tools = new JMenu(get("Tools"));
-
-	tools_log = new JMenuItem(get("Tools_Log"), KeyEvent.VK_L);
+	tools = new JMenu(get("Menu.Tools"));
+
+	tools_log = new JMenuItem(get("Menu.Tools_Log"), KeyEvent.VK_L);
 	tools_log.addActionListener(Gatherer.g_man);
 
@@ -218,9 +218,9 @@
 
 	// Help menu
-	help = new JMenu(get("Help"));
+	help = new JMenu(get("Menu.Help"));
 	//help.addMenuListener(menu_listener);
 	help.setIcon(Utility.HELP_ICON);
 
-	help_about = new JMenuItem(get("Help_About"));
+	help_about = new JMenuItem(get("Menu.Help_About"));
 	help_about.addActionListener(Gatherer.g_man);
 