Index: /trunk/gli/classes/dictionary.properties
===================================================================
--- /trunk/gli/classes/dictionary.properties	(revision 5361)
+++ /trunk/gli/classes/dictionary.properties	(revision 5362)
@@ -148,5 +148,4 @@
 CDM.General.Instructions:The design section of the Librarian Interface allows you to control many aspects of your collection's appearance. The design is split up into several sections. This section contains general options and settings. To choose a different section, click on its name in the list to the left.
 CDM.General.Title:{39}{46}General Options{47}{34}
-CDM.GUI.Building:Creating the {0} design view.
 CDM.GUI.Classifiers:Browsing Classifiers
 CDM.GUI.Design_Topics:Design Sections
@@ -156,5 +155,4 @@
 CDM.GUI.MetadataSets:Metadata Sets
 CDM.GUI.Plugins:Document Plugins
-CDM.GUI.Ready:Ready
 CDM.GUI.Root:CDM_ROOT
 CDM.GUI.SearchTypes:Search Types
@@ -367,5 +365,4 @@
 FileActions.ReadOnlyTarget:Files and folders in the workspace are read only and cannot be added to.
 FileActions.Selected:{0} files and {1} folders selected
-FileActions.Unknown:unknown
 FileActions.Unknown_File_Error_Message:Although no error message was reported during the file\naction, a final check has shown that the destination\ncopy is not the same as the source file. The reason\nfor this is unknown. Please check your media and update\nyour installed JVM.
 FileActions.Unknown_File_Error_Title:Error - Unknown File Error
@@ -385,6 +382,4 @@
 FileAssociationDialog.Extension:For files ending:
 FileAssociationDialog.Instructions:Use this dialog to set what external programs are used to view a certain file-type, and what command is sent to launch this program.\nTo select a current file association, choose an extension from the 'For file's ending' drop down list.\nTo add a new file-type, type its extension in 'For file's ending'.\nTo add or modify a launch command, type the new command in 'Launch command' or click 'Browse' to search the file system for an appropriate program. Use the special string '%1' to indicate where the name of the file to be opened should be inserted, e.g. "C:\\Windows\\System\\MSPaint.exe %1". '%1' will be appended to the end of a command if not otherwise specified.
-FileAssociationDialog.Remove:Remove Association
-FileAssociationDialog.Replace:Replace Association
 FileAssociationDialog.Title:Edit File Associations
 #*******************
@@ -428,5 +423,4 @@
 #***** GShell *****
 GShell.Build:buildcol.pl
-GShell.Cancelled:Process cancelled by user or by unrecoverable exception.
 GShell.Command:Command
 GShell.Extracted:Extracted {1} pieces of metadata for {0}.
@@ -438,8 +432,4 @@
 GShell.Parsing_Metadata_Start:Extracting new metadata from archive files.
 GShell.Success:Command complete.
-#******************
-#
-#***** GStartBox *****
-GStartBox.New:{32}New{34}
 #*********************
 #
@@ -453,5 +443,4 @@
 GUI.Export:Export
 GUI.Import:Import
-GUI.Main:Start
 GUI.MetaEdit:Enrich
 GUI.Mirroring:Mirror
@@ -462,5 +451,5 @@
 Help.Contents:Contents
 Help.Index:Index
-Help.Title:Gathaen Help Pages
+Help.Title:Librarian Interface Help Pages
 #
 #***** Inherited Metadata *****
@@ -591,16 +580,8 @@
 #
 #***** MetaEdit *****
-MetaEdit.Add:Add
 MetaEdit.AutoMessage:This element, {0}, belongs to the Greenstone metadata set. This set represents metadata that can usually be extracted automatically. To check what {0} metadata can be extracted create the collection using the 'Create' tab.
-MetaEdit.Building:Building
-MetaEdit.Element:Element
-MetaEdit.List:Matching Previous Values
-MetaEdit.No_Description:{38}No description for chosen key.{34}
 MetaEdit.No_File:No File Selected
 MetaEdit.No_Metadata:No Metadata Available
 MetaEdit.No_Metadata_Element:{32}No Metadata Element Selected{34}
-MetaEdit.Ready:Ready
-MetaEdit.Remove:Remove
-MetaEdit.Search:Search
 MetaEdit.Tree:All Previous Values
 MetaEdit.Value:Value
@@ -864,5 +845,4 @@
 #***** Trees *****
 Tree.Home:Home Folder ({0})
-Tree.New_Folder:New Folder
 Tree.Private:Private WebCache
 Tree.Public:Public WebCache