Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java	(revision 5401)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/DefaultReceptionist.java	(revision 5402)
@@ -29,10 +29,10 @@
 	Element param_list = (Element)GSXML.getChildByTagName(page_request, GSXML.PARAM_ELEM+GSXML.LIST_MODIFIER);
 	if (param_list==null) { // must be the original home page
-	    System.out.println("DefaultReceptionist: no param list, assuming home page");
+	    ///ystem.out.println("DefaultReceptionist: no param list, assuming home page");
 	    return;
 	}
 	Element coll_param = GSXML.getNamedElement(param_list, GSXML.PARAM_ELEM, GSXML.NAME_ATT, GSParams.COLLECTION);
 	if (coll_param == null) {
-	    System.out.println("DefaultReceptionist: coll param is null, returning");
+	    ///ystem.out.println("DefaultReceptionist: coll param is null, returning");
 	    return;
 	}
@@ -45,5 +45,4 @@
 	Element page_response = (Element)GSXML.getChildByTagName(page, GSXML.PAGE_RESPONSE_ELEM);
 	if (this.language_list != null) {
-	    System.out.println("appending lang list");
 	    page_response.appendChild(this.language_list);
 	}
@@ -54,5 +53,4 @@
 	}
 	if (coll_description == null) { 
-	    System.out.println("getting a coll description");
 	    // we dont have one yet - get it
 	    Element coll_about_message = this.doc.createElement(GSXML.MESSAGE_ELEM);
@@ -68,5 +66,5 @@
 	    
 	    if (coll_description == null) {
-		System.out.println("DefaultReceptionist: no collection description, returning");
+		System.err.println("DefaultReceptionist: no collection description, returning");
 		return;
 	    }
@@ -82,5 +80,5 @@
 	Element service_list = (Element)GSXML.getChildByTagName(coll_description, GSXML.SERVICE_ELEM+GSXML.LIST_MODIFIER);
 	if (service_list == null) {
-	    System.out.println("DefaultReceptionist: no service list, returning");
+	    System.err.println("DefaultReceptionist: no service list, returning");
 	    // something weird has gone wrong
 	    return;
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/MessageRouter.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/MessageRouter.java	(revision 5401)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/MessageRouter.java	(revision 5402)
@@ -119,5 +119,5 @@
 
 	if (this.site_home==null) {
-	    System.err.println("You must set site_home before calling configure");
+	    System.err.println("MessageRouter: You must set site_home before calling configure");
 	    return false;
 	}
@@ -224,10 +224,10 @@
     public Element process(Element message) {
 
-	System.out.println("MR received request");
-	System.out.println(this.converter.getString(message));
+	///ystem.out.println("MR received request");
+	///ystem.out.println(this.converter.getString(message));
 			   
 	// check that its a correct message tag
 	if (!message.getTagName().equals(GSXML.MESSAGE_ELEM)) {
-	    System.err.println("Invalid message. GSDL message should start with <"+GSXML.MESSAGE_ELEM+">, instead it starts with:"+message.getTagName()+".");
+	    System.err.println("MessageRouter: Invalid message. GSDL message should start with <"+GSXML.MESSAGE_ELEM+">, instead it starts with:"+message.getTagName()+".");
 	    return null;
 	}
@@ -277,6 +277,6 @@
 	} // for each request
 	
-	System.out.println("MR returned response");
-	System.out.println(this.converter.getString(mainResult));
+	///ystem.out.println("MR returned response");
+	///ystem.out.println(this.converter.getString(mainResult));
 
 	return mainResult;
@@ -433,12 +433,12 @@
 		    // have to be added later 
 		    if (!getRemoteSiteInfo(comm, name)) {
-			System.err.println("couldn't get info from site "+name);
+			System.err.println("MessageRouter: couldn't get info from site "+name);
 		    }
 		} else {
-		    System.err.println("couldn't configure soap site:"+name);
+		    System.err.println("MessageRouter: couldn't configure soap site:"+name);
 		}
 		
 	    } else {
-		System.err.print("cant talk to server of type:"+type);
+		System.err.print("MessageRouter: cant talk to server of type:"+type);
 		System.err.println(", so not making a connection to "+name);
 	    }
@@ -534,5 +534,4 @@
 		return response;
 	    }
-	    System.out.println("params found, getting subset");
 	    NodeList params = param_list.getElementsByTagName(GSXML.PARAM_ELEM);
 	    
@@ -717,5 +716,5 @@
 		    c = (Collection)Class.forName("org.greenstone.gsdl3.collection."+coll_class_name).newInstance();
 		} catch (Exception e) {
-		    System.out.println("couldn't create a new collection, type "+coll_class_name+", defaulting to class Collection");
+		    System.out.println("MessageRouter: couldn't create a new collection, type "+coll_class_name+", defaulting to class Collection");
 		    c = new Collection();
 		}
@@ -761,10 +760,10 @@
 	Element site_list = (Element)GSXML.getChildByTagName(config, GSXML.SITE_ELEM+GSXML.LIST_MODIFIER);
 	if (site_list ==null ) {
-	    System.out.println("MessageRouter:activateSite, no sites found");
+	    System.err.println("MessageRouter:activateSite, no sites found");
 	    return false;
 	}
 	Element this_site_elem = GSXML.getNamedElement(site_list, GSXML.SITE_ELEM, GSXML.NAME_ATT, site_name);
 	if (this_site_elem == null) {
-	    System.out.println("MessageRouter:activateSite, site "+site_name+" not found");
+	    System.err.println("MessageRouter:activateSite, site "+site_name+" not found");
 	    return false;
 	}
@@ -784,13 +783,13 @@
 		// have to be added later 
 		if (!getRemoteSiteInfo(comm, site_name)) {
-		    System.err.println("couldn't get info from site "+site_name);
+		    System.err.println("MessageRouter: couldn't get info from site "+site_name);
 		}
 	    } else {
-		System.err.println("couldn't configure soap site:"+site_name);
+		System.err.println("MessageRouter: couldn't configure soap site:"+site_name);
 		return false;
 	    }
 	    
 	} else {
-	    System.err.print("cant talk to server of type:"+type);
+	    System.err.print("MessageRouter: cant talk to server of type:"+type);
 	    System.err.println(", so not making a connection to "+site_name);
 	    return false;
@@ -846,5 +845,5 @@
 		}
 	    } else {
-		System.err.println("couldn't deactivate coll");
+		System.err.println("MessageRouter: couldn't deactivate coll");
 		// couldn't do it
 		return false;
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/Receptionist.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/Receptionist.java	(revision 5401)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/Receptionist.java	(revision 5402)
@@ -89,5 +89,5 @@
 		ac = (Action)Class.forName("org.greenstone.gsdl3.action."+class_name).newInstance();
 	    } catch (Exception e) {
-		System.out.println("couldn't load in action "+class_name);
+		System.err.println("Receptionist: couldn't load in action "+class_name);
 		e.printStackTrace();
 		continue;
@@ -102,5 +102,5 @@
 	this.language_list = (Element)GSXML.getChildByTagName(config_doc, "languageList");
 	if (language_list == null) {
-	    System.out.println("lang list is null!!");
+	    System.err.println("Receptionist: didn't find a language list in the config file!!");
 	}
 	return true;
@@ -193,5 +193,5 @@
 	page.appendChild(page_response);
 
-	//System.out.println("REceptionist: raw page="+this.converter.getString(page));
+	///ystem.out.println("REceptionist: raw page="+this.converter.getString(page));
 	// transform the result in some way
 	Element resulting_page = postProcessPage(page);
Index: /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java
===================================================================
--- /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java	(revision 5401)
+++ /trunk/gsdl3/src/java/org/greenstone/gsdl3/core/TransformingReceptionist.java	(revision 5402)
@@ -38,9 +38,9 @@
 	
 	if (this.config_params==null) {
-	    System.err.println("Receptionist Error: config variables must be set before calling configure");
+	    System.err.println("TransformingReceptionist Error: config variables must be set before calling configure");
 	    return false;
 	}
 	if (this.mr==null) {	   
-	    System.err.println("Receptionist Error: message router must be set  before calling configure");
+	    System.err.println("TransformingReceptionist Error: message router must be set  before calling configure");
 	    return false;
 	}
@@ -65,5 +65,5 @@
 		ac = (Action)Class.forName("org.greenstone.gsdl3.action."+class_name).newInstance();
 	    } catch (Exception e) {
-		System.err.println("couldn't load in action "+class_name);
+		System.err.println("TransformingReceptionist Error: couldn't load in action "+class_name);
 		e.printStackTrace();
 		continue;
@@ -95,5 +95,5 @@
 	Element lang_list = (Element)GSXML.getChildByTagName(config_doc, "languageList");
 	if (lang_list == null) {
-	    System.out.println("lang list is null!!");
+	    System.err.println("TransformingReceptionist: didn't find a language list in the config file!!");
 	} else {
 	    this.language_list = (Element) this.doc.importNode(lang_list, true);
@@ -137,5 +137,5 @@
 	if (xslt_file==null) {
 	    // cant transform the page - return null or the original?
-	    System.err.println(" cant find the xslt file needed, so returning the original page!");
+	    System.err.println("TransformingReceptionist: cant find the xslt file needed, so returning the original page!");
 	    return page;
 	}
@@ -183,5 +183,5 @@
 	String stylesheet = GSFile.stylesheetFile((String)this.config_params.get(GSConstants.GSDL3_HOME), (String)this.config_params.get(GSConstants.SITE_NAME), (String)this.config_params.get(GSConstants.INTERFACE_NAME), collection, name);
 	if (stylesheet==null) {
-	    System.out.println("cant find stylesheet for "+name);
+	    System.out.println("TransformingReceptionist: cant find stylesheet for "+name);
 	}
 	return stylesheet;