Index: /trunk/gli/help/in.xml
===================================================================
--- /trunk/gli/help/in.xml	(revision 5412)
+++ /trunk/gli/help/in.xml	(revision 5413)
@@ -1,12 +1,11 @@
 <Document>
-  <Section name="1">
+  <Section name="introduction">
     <Title>1.0 Introduction</Title>
-The Greenstone Librarian Interface is a tool for collecting and marking up documents, then building digital library collections.  It provides access to the Greenstone Digital Library Software's functionality from a graphical point and click interface. <Reference target="1-2">Hello</Reference>
-    <Section name="1-1">
+The Greenstone Librarian Interface is a tool for collecting and marking up documents, then building digital library collections.  It provides access to the Greenstone Digital Library Software's functionality from a graphical point and click interface.
+    <Section name="ofmiceandmenus">
       <Title>1.1 Of Mice and Menus</Title>
 This section provides basic information about interacting with the Librarian Interface.
 If you are familiar with programs such as Internet Explorer or Microsoft
-Office and are comfortable with mouse clicks and menus, skip to the next
-section.
+Office and are comfortable with mouse clicks and menus, skip to the <Reference target="howtoavoidthisdocument">next section</Reference>.
       <Contents>
         <ContentsGroup linkto="simple">
@@ -59,5 +58,5 @@
 press [S] to "Save" a collection.
     </Section>
-    <Section name="1-2">
+    <Section name="howtoavoidthisdocument">
       <Title>1.2 How to Avoid Reading This Document</Title>
 Don't read this help text all the way through!  Just read enough to learn
@@ -88,8 +87,8 @@
   </Section>
 
-  <Section name="2">
+  <Section name="startingoff">
     <Title>2.0 Starting Off</Title>
 This section covers how to create, save and load a collection.
-    <Section name="2-1">
+    <Section name="creatingacollection">
       <Title>2.1 Creating a New Collection</Title>
 This section describes how to create a new collection.
@@ -142,8 +141,4 @@
 should describe, in as much detail as possible, what the collection is about.
 Use the [Enter] key to break it into paragraphs.
-<Break/>
-Now choose whether to view or hide the metadata that Greenstone extracts
-automatically from documents.  (This option can be changed later -- see Section
-10.1 -- Preferences.)
 <Break/>
 Finally you must specify whether the new collection will have the same
@@ -160,5 +155,5 @@
 press [ALT] and the underlined character at the same time.
     </Section>
-    <Section name="2-2">
+    <Section name="savingacollection">
       <Title>2.2 Saving the Collection</Title>
 This section describes how to save a collection, and the Save Collection Prompt.
@@ -178,5 +173,5 @@
 Save your work regularly by opening the "File" menu and choosing "Save".
 Saving a collection is not the same as making it ready for use in Greenstone
-(see Section 8 -- Producing Your Collection).
+(see <Reference target="producingthecollection">Producing Your Collection</Reference>).
 <Break/>
 The Librarian Interface protects your work by saving it whenever you exit the
@@ -187,5 +182,5 @@
 installation's "collect" folder.
     </Section>
-    <Section name="2-3">
+    <Section name="openingacollection">
       <Title>2.3 Opening an Existing Collection</Title>
 This section tells you how to open existing collections using the Open
@@ -223,5 +218,5 @@
   </Section>
 
-  <Section name="3">
+  <Section name="huntingforfiles">
     <Title>3.0 Hunting For Your Files</Title>
 The Librarian Interface can run in different configurations.  This section only
@@ -234,6 +229,6 @@
 When using web resources, the Librarian Interface operates in two stages.  This
 section describes the first, Hunting, where you browse the Internet for files
-of interest. The next section describes the second stage, Mirroring, where these files can be downloaded.
-    <Section name="3-1">
+of interest. The <Reference target="downloadingfiles">next section</Reference> describes the second stage, Mirroring, where these files can be downloaded.
+    <Section name="thehuntview">
       <Title>3.1 The Hunt view</Title>
 This section describes how to use the simplified browsing interface to locate resources on the Internet.
@@ -260,7 +255,7 @@
   </Section>
 
-  <Section name="4">
+  <Section name="downloadingfiles">
     <Title>4.0 Downloading Chosen Files</Title>
-To enable web mirroring see Section 3.0 -- Hunting For Your Files.
+To enable web mirroring see <Reference target="huntingforfiles">Hunting For Your Files</Reference>.
 To download web pages you need to install the mirroring tool wget (version v1.8
 recommended) and make it accessible from the Librarian Interface "install"
@@ -270,5 +265,5 @@
 files you need.  This section explains the Librarian Interface's mirroring
 process.
-    <Section name="4-1">
+    <Section name="themirrorview">
       <Title>4.1 The Mirror view</Title>
 This section describes how to configure a download task and control the downloading process.
@@ -323,5 +318,5 @@
 when they finish successfully (ones that fail are controlled by the "Automatically remove failed downloads..." checkbox).
       <Anchor name="advanced">Advanced Instructions:</Anchor>
-Section 10.1 -- Preferences describes how to establish an Internet connection
+The <Reference target="preferences">Preferences section</Reference> describes how to establish an Internet connection
 via a proxy.  If authentication is needed, the proxy server prompts for
 identification and password.  The Librarian Interface does not store passwords
@@ -330,10 +325,10 @@
   </Section>
 
-  <Section name="5">
+  <Section name="collectingfiles">
     <Title>5.0 Collecting Files for Your Collection</Title>
 Once you have a new collection you need to get some files into it.  These may
 come from your ordinary file space, or from other Greenstone collections.  Some
 may already have attached metadata.  This section describes how to import files.
-    <Section name="5-1">
+    <Section name="thegatherview">
       <Title>5.1 The Gather View</Title>
 This section introduces the Gather area that you use to select what files
@@ -374,5 +369,5 @@
 Double-click a folder, or single-click the switch symbol beside it, to expand (or collapse)
 its contents.  Double-click a file to open it using its associated application
-program (see Section 10.2 -- File Associations).
+program (see <Reference target="fileassociations">File Associations</Reference>).
 <Break/>
 The Workspace file tree shows the sources of data available to the Librarian
@@ -395,5 +390,5 @@
 <Break/>
 Two large buttons occupy the lower right corner of the screen. "New Folder", with a picture
-of a folder, creates new folders (see Section 5.2 -- Creating folders). 
+of a folder, creates new folders (see <Reference target="creatingfolders">Creating folders</Reference>). 
 "Delete", with a garbage can, removes files. Clicking the Delete button will remove any selected files from the Collection file tree. Alternatively, files can be deleted by dragging them onto the Delete button. 
        <Anchor name="advanced">Advanced Instructions:</Anchor>
@@ -409,5 +404,5 @@
 right-click the mapped folder and select "Unmap Folder".
     </Section>
-    <Section name="5-2">
+    <Section name="creatingfolders">
       <Title>5.2 Creating Folders</Title>
 This section shows how to create new folders.
@@ -435,5 +430,5 @@
 Folder" and proceeding as above.
     </Section>
-    <Section name="5-3">
+    <Section name="addingfiles">
       <Title>5.3 Adding Files</Title>
 This section shows how to get files into your collection.
@@ -475,10 +470,9 @@
 operation proceeds, you may be prompted (perhaps several times) for extra
 information to match the imported metadata to the metadata sets in your
-collection.  This process involves many different prompts, described in the
-section 6.8 -- Importing Previously Assigned Metadata.  For a more detailed
+collection.  This process involves many different prompts, described in the <Reference target="importingpreviouslyassignedmetadata">Importing Previously Assigned Metadata</Reference> section.  For a more detailed
 explanation of associating metadata with files read Chapter 2 of the Greenstone
 Developer's Guide -- Getting the most out of your documents.
     </Section>
-    <Section name="5-4">
+    <Section name="removingfiles">
       <Title>5.4 Removing Files</Title>
 This section describes how to remove files and folders from your collection.
@@ -499,5 +493,5 @@
 There are several methods for removing files and folders.  You must first
 indicate what items to remove by selecting one or more files and folders as
-described in section 5.1 -- The Gather View.
+described in <Reference target="thegatherview">The Gather View</Reference>.
 <Break/>
 Once files have been selected, click the "delete" button to remove them, or
@@ -505,5 +499,5 @@
 the delete button and drop them there.
     </Section>
-    <Section name="5-5">
+    <Section name="filteringthetree">
       <Title>5.5 Filtering the Tree</Title>
 "Filtering" the collection tree allows you to narrow down the search for particular files.
@@ -533,5 +527,5 @@
   </Section>
 
-  <Section name="6">
+  <Section name="enrichingacollection">
     <Title>6.0 Enriching the Collection with Metadata</Title>
 Having gathered several files into the collection, now enrich them with
@@ -540,5 +534,5 @@
 sources (also see Chapter 2 of the Greenstone Developer's Guide -- Getting the most
 out of your documents).
-    <Section name="6-1">
+    <Section name="theenrichview">
       <Title>6.1 The Enrich View</Title>
 This section describes how to input and edit metadata using the Enrich view.
@@ -603,5 +597,5 @@
 "..." button still serves to expand the value, but the text cannot be edited.
     </Section>
-    <Section name="6-2">
+    <Section name="selectingmetadatasets">
       <Title>6.2 Selecting Metadata Sets</Title>
 This section explains how to specify metadata elements and how to add
@@ -664,5 +658,5 @@
 options, and a file to export into.
     </Section>
-    <Section name="6-3">
+    <Section name="appendingmetadata">
       <Title>6.3 Appending New Metadata</Title>
 This section explains how to add metadata and values to files, and how
@@ -728,9 +722,8 @@
 "Append", it is added to the other files in the selection too.
       <Anchor name="advanced">Advanced Instructions:</Anchor>
-You can add structure to metadata values by using paths as described in Section
-6.1 -- The Enrich View.  Correct any mistakes in creating hierarchies by using
-the metadata set editor explained in Section 11.1 -- Editing Metadata Sets.
-    </Section>
-    <Section name="6-4">
+You can add structure to metadata values by using paths as described in <Reference target="theenrichview">The Enrich View</Reference>.  Correct any mistakes in creating hierarchies by using
+the metadata set editor explained in <Reference target="editingmetadatasets">Editing Metadata Sets</Reference>.
+    </Section>
+    <Section name="addingpreviouslydefinedmetadata">
       <Title>6.4 Adding Previously Defined Metadata</Title>
 This section explains how to add metadata that uses values already present in the value tree.
@@ -755,5 +748,5 @@
 or multiple files is just the same.
     </Section>
-    <Section name="6-5">
+    <Section name="updatingmetadata">
       <Title>6.5 Updating Metadata</Title>
 This section explains how to update the metadata assigned to a file.
@@ -786,5 +779,5 @@
 Thus the value you have replaced will remain in the value tree.
     </Section>
-    <Section name="6-6">
+    <Section name="removingmetadata">
       <Title>6.6 Removing Metadata</Title>
 This section explains how to remove metadata from a file.
@@ -818,5 +811,5 @@
 files that have it; all others are unaffected.
     </Section>
-    <Section name="6-7">
+    <Section name="reviewingmetadata">
       <Title>6.7 Reviewing Assigned Metadata</Title>
 This section describes how to view all metadata assigned to an entire collection.
@@ -879,5 +872,5 @@
 descending ordering.
     </Section>
-    <Section name="6-8">
+    <Section name="importingpreviouslyassignedmetadata">
       <Title>6.8 Importing Previously Assigned Metadata</Title>
 This section describes how to import previously assigned metadata,
@@ -913,6 +906,5 @@
 Once you have specified how to import a certain piece of metadata, the mapping
 information is retained for the collection's lifetime.  To correct any mistakes
-during importing, use the metadata set editor described in Section 11 -- Editing
-Metadata Sets.
+during importing, use the metadata set editor described in <Reference target="editingmetadatasets">Editing Metadata Sets</Reference>.
 <Break/>
 For details on the metadata.xml files which Greenstone uses to store the metadata, see Chapter 2 of the Greenstone
@@ -921,5 +913,5 @@
   </Section>
 
-  <Section name="7">
+  <Section name="designingacollection">
     <Title>7.0 Designing Your Collection's Appearance</Title>
 Once your files are marked up with metadata, you next decide how it should
@@ -928,5 +920,5 @@
 languages are supported?  Where do the buttons appear on the page?  These
 things can be customized; this section describes how to do it.
-    <Section name="7-1">
+    <Section name="thedesignview">
       <Title>7.1 The Design View</Title>
 This section introduces you to the design view and explains how to navigate
@@ -951,5 +943,5 @@
 read Chapters 1 and 2 of the Greenstone Developer's Guide.
     </Section>
-    <Section name="7-2">
+    <Section name="generalsettings">
       <Title>7.2 General Settings</Title>
 This section explains how to review and alter the general settings associated
@@ -975,8 +967,7 @@
 icon to show at the top left of the collection's "About" page, and the next is
 the icon used in the Greenstone library page to link to the collection.  Finally
-comes the "Collection Description" text area as described in section 2.1 --
-Creating A New Collection.
-    </Section>
-    <Section name="7-3">
+comes the "Collection Description" text area as described in <Reference target="creatingacollection">Creating A New Collection</Reference>.
+    </Section>
+    <Section name="plugins">
       <Title>7.3 Document Plugins</Title>
 This section describes how to configure the document plugins the
@@ -1049,5 +1040,5 @@
 command.
     </Section>
-    <Section name="7-4">
+    <Section name="searchtypes">
       <Title>7.4 Search Types</Title>
 This section explains how to modify a new design feature in Greenstone, Search Types, which allow fielded searching.  Under "Design Sections", click "Search Types".
@@ -1072,7 +1063,6 @@
 Searches", which activates the other controls.  This migrates the collection to
 Greenstone 2.4 format, which supports fielded searching, and means that (a)
-the index design is different (explained in section 7.5 -- Search Indexes),
-(b) there are more text fragments to translate (see Section 7.10 --
-Translation), and (c) the collection will not be usable under older Greenstone
+the index design is different (explained in the <Reference target="searchindexes">Search Indexes</Reference> section),
+(b) there are more text fragments to translate (see <Reference target="translatetext">Translation</Reference>), and (c) the collection will not be usable under older Greenstone
 installations.  If you later uncheck this field, most of your collection will
 be migrated back to Greenstone 2.39.  However the Librarian Interface cannot
@@ -1089,5 +1079,5 @@
 Up" or "Move Down". The first one will be the default.
     </Section>
-    <Section name="7-5">
+    <Section name="searchindexes">
       <Title>7.5 Search Indexes</Title>
 Indexes specify what parts of the collection are searchable.  This section explains how to add and remove indexes, and set a default index.  Under "Design Sections", click "Search Indexes".
@@ -1133,5 +1123,5 @@
 To create indexes on all sources, click the "Add All" button. The name of each index will default to the source name. To change the name, select an index, change its details, and click "Replace Index".
     </Section>
-    <Section name="7-6">
+    <Section name="partitionindexes">
       <Title>7.6 Partition Indexes</Title>
 Indexes are built on particular text or metadata sources.  The search space can
@@ -1144,5 +1134,5 @@
 subcollections and subindexes in Chapter 2 of the Greenstone Developer's Guide.
 
-      <Section name="7-6-1">
+      <Section name="definefilters">
         <Title>7.6.1 Define Filters</Title>
 The section explains how to define a partition filter.
@@ -1179,5 +1169,5 @@
 appear in the editing controls and click "Replace Filter" to commit the changes.
       </Section>
-      <Section name="7-6-2">
+      <Section name="assignpartitions">
         <Title>7.6.2 Assign Partitions</Title>
 This section explains how to assign a previous defined partition filter.
@@ -1210,5 +1200,5 @@
 To clear the default partition, click "Clear Default".
       </Section>
-      <Section name="7-6-3">
+      <Section name="assignlanguages">
         <Title>7.6.3 Assign Languages</Title>
 This section details how to restrict search indexes to particular languages.
@@ -1247,5 +1237,5 @@
       </Section>
     </Section>
-    <Section name="7-7">
+    <Section name="xcollectionsearching">
       <Title>7.7 Cross-Collection Searching</Title>
 Greenstone can search across several different collections as though they were
@@ -1268,5 +1258,5 @@
 For further details, see Chapter 1 of the Greenstone Developer's Guide.
     </Section>
-    <Section name="7-8">
+    <Section name="classifiers">
       <Title>7.8 Classifiers</Title>
 This section explains how to assign "classifiers", which are used for browsing,
@@ -1300,5 +1290,5 @@
 bottom and then click "Add Specified Classifier".  A window appears entitled
 "Configuring Arguments"; instructions for this dialog are just the same as for
-plugins (see Section 7.3 -- Plugins).  Once you have configured the new
+plugins (see <Reference target="plugins">Document Plugins</Reference>).  Once you have configured the new
 classifier, it is added to the end of the "Currently Assigned Classifiers"
 list.
@@ -1328,5 +1318,5 @@
 "Cancel" the dialog without making any changes to the collection.
     </Section>
-    <Section name="7-9">
+    <Section name="formatstatements">
       <Title>7.9 Format Features</Title>
 Format commands control the structure and appearance of the collection.  They
@@ -1388,5 +1378,5 @@
 If the "Allow Extended Options" checkbox is ticked, some advanced formatting options are enabled. The list of features that can be formatted is changed slightly, and more variables are available to be used in the format command, providing greater control over the page layout.
     </Section>
-    <Section name="7-10">
+    <Section name="translatetext">
       <Title>7.10 Translate Text</Title>
 This section describes the translation view, where you can define
@@ -1419,5 +1409,5 @@
 area, and click "Replace Translation".
     </Section>
-    <Section name="7-11">
+    <Section name="metadatasets">
       <Title>7.11 Metadata Sets</Title>
 This section explains the metadata set review panel.
@@ -1438,10 +1428,10 @@
   </Section>
 
-  <Section name="8">
+  <Section name="producingthecollection">
     <Title>8.0 Producing Your Collection</Title>
 Having collected the documents for the collection, annotated them with
 metadata, and designed how the collection will appear, you can now produce the
 collection using Greenstone.  This section explains how.
-    <Section name="8-1">
+    <Section name="thecreateview">
       <Title>8.1 The Create View</Title>
 This section explains the Create view used to produce a collection.
@@ -1469,5 +1459,5 @@
 any time, click "Cancel Build".
     </Section>
-    <Section name="8-2">
+    <Section name="buildsettings">
       <Title>8.2 Import and Build Settings</Title>
 This section explains how to access the various import and build settings.
@@ -1492,5 +1482,5 @@
 <Break/>
 Controlling the various settings is done in a similar way to the
-"Configuring Arguments" window described under Section 7.3 -- Plugins.  Some
+"Configuring Arguments" window described in the <Reference target="plugins">Document Plugins</Reference> section.  Some
 fields require numeric arguments, and you can either type these in or use the
 up and down arrows to increase or decrease the current value (in some cases,
@@ -1498,5 +1488,5 @@
 clicking a checkbox (click again to disable).
     </Section>
-    <Section name="8-3">
+    <Section name="messagelog">
       <Title>8.3 Message Log</Title>
 This section explains the message log.
@@ -1513,5 +1503,5 @@
 log you want by clicking on the desired date in the "Log History" list.
     </Section>
-    <Section name="8-4">
+    <Section name="theprogressview">
       <Title>8.4 The Progress View</Title>
 This section explains the building progress view.
@@ -1525,15 +1515,15 @@
       <Anchor name="simple">Simple Instructions:</Anchor>
 When you start to build a collection, the view changes immediately.  The
-controls described in the first section of this section are replaced by two
+controls described <Reference target="thecreateview">previously</Reference> are replaced by two
 progress bars and a text area.  The bars indicate progress through the import
 phase, then the build phase.  The text area shows the Message Log mentioned in
-the previous section.
+the <Reference target="messagelog">previous section</Reference>.
     </Section>
   </Section>
 
-  <Section name="9">
+  <Section name="previewingthecollection">
     <Title>9.0 Previewing the Collection</Title>
 This section explains how to use the "Preview" view to inspect the collection you have produced.
-    <Section name="9-1">
+    <Section name="thepreviewview">
       <Title>9.1 The Preview View</Title>
 This section explains how to use the "Preview" view to inspect the collection you have produced.
@@ -1552,9 +1542,9 @@
   </Section>
 
-  <Section name="10">
+  <Section name="miscellaneous">
     <Title>10.0 Miscellaneous</Title>
 This section describes features of the Librarian Interface that are not associated
 with any particular view.
-    <Section name="10-1">
+    <Section name="preferences">
       <Title>10.1 Preferences</Title>
 This section explains the preferences dialog, accessed by opening "File" -> "Preferences".
@@ -1609,5 +1599,5 @@
 next to warning messages you want to see again.
     </Section>
-    <Section name="10-2">
+    <Section name="fileassociations">
       <Title>10.2 File Associations</Title>
 The Librarian Interface uses particular application programs to open particular
@@ -1650,5 +1640,5 @@
   </Section>
 
-  <Section name="11">
+  <Section name="metadatasetandprofileediting">
     <Title>11.0 Metadata Set and Profile Editing</Title>
 This section explains how to edit metadata sets used by the Librarian
@@ -1664,5 +1654,5 @@
 To edit a metadata set or importing profile, choose "Metadata Sets" from the menu
 bar and select the "Edit Set" action.
-    <Section name="11-1">
+    <Section name="editingmetadatasets">
       <Title>11.1 Editing Metadata Sets</Title>
 This section describes how to edit metadata sets and previously assigned values.
@@ -1737,5 +1727,5 @@
 Once you have finished changing the metadata set, click "Close".
     </Section>
-    <Section name="11-2">
+    <Section name="editingimportprofiles">
       <Title>11.2 Editing Metadata Import Profiles</Title>
 This section describes how to edit metadata importing profiles.