Index: trunk/gli/help/in.xml
===================================================================
--- trunk/gli/help/in.xml	(revision 5413)
+++ trunk/gli/help/in.xml	(revision 5414)
@@ -1,8 +1,8 @@
 <Document>
   <Section name="introduction">
-    <Title>1.0 Introduction</Title>
+    <Title>Introduction</Title>
 The Greenstone Librarian Interface is a tool for collecting and marking up documents, then building digital library collections.  It provides access to the Greenstone Digital Library Software's functionality from a graphical point and click interface.
     <Section name="ofmiceandmenus">
-      <Title>1.1 Of Mice and Menus</Title>
+      <Title>Of Mice and Menus</Title>
 This section provides basic information about interacting with the Librarian Interface.
 If you are familiar with programs such as Internet Explorer or Microsoft
@@ -59,5 +59,5 @@
     </Section>
     <Section name="howtoavoidthisdocument">
-      <Title>1.2 How to Avoid Reading This Document</Title>
+      <Title>How to Avoid Reading This Document</Title>
 Don't read this help text all the way through!  Just read enough to learn
 how to get help when you need it.
@@ -88,8 +88,8 @@
 
   <Section name="startingoff">
-    <Title>2.0 Starting Off</Title>
+    <Title>Starting Off</Title>
 This section covers how to create, save and load a collection.
     <Section name="creatingacollection">
-      <Title>2.1 Creating a New Collection</Title>
+      <Title>Creating a New Collection</Title>
 This section describes how to create a new collection.
       <Contents>
@@ -156,5 +156,5 @@
     </Section>
     <Section name="savingacollection">
-      <Title>2.2 Saving the Collection</Title>
+      <Title>Saving the Collection</Title>
 This section describes how to save a collection, and the Save Collection Prompt.
       <Contents>
@@ -183,5 +183,5 @@
     </Section>
     <Section name="openingacollection">
-      <Title>2.3 Opening an Existing Collection</Title>
+      <Title>Opening an Existing Collection</Title>
 This section tells you how to open existing collections using the Open
 Collection prompt.
@@ -219,5 +219,5 @@
 
   <Section name="huntingforfiles">
-    <Title>3.0 Hunting For Your Files</Title>
+    <Title>Hunting For Your Files</Title>
 The Librarian Interface can run in different configurations.  This section only
 applies when the "hunt" and/or "mirror" views are enabled.  If these tabs do
@@ -231,5 +231,5 @@
 of interest. The <Reference target="downloadingfiles">next section</Reference> describes the second stage, Mirroring, where these files can be downloaded.
     <Section name="thehuntview">
-      <Title>3.1 The Hunt view</Title>
+      <Title>The Hunt view</Title>
 This section describes how to use the simplified browsing interface to locate resources on the Internet.
       <Contents>
@@ -256,5 +256,5 @@
 
   <Section name="downloadingfiles">
-    <Title>4.0 Downloading Chosen Files</Title>
+    <Title>Downloading Chosen Files</Title>
 To enable web mirroring see <Reference target="huntingforfiles">Hunting For Your Files</Reference>.
 To download web pages you need to install the mirroring tool wget (version v1.8
@@ -266,5 +266,5 @@
 process.
     <Section name="themirrorview">
-      <Title>4.1 The Mirror view</Title>
+      <Title>The Mirror view</Title>
 This section describes how to configure a download task and control the downloading process.
       <Contents>
@@ -326,10 +326,10 @@
 
   <Section name="collectingfiles">
-    <Title>5.0 Collecting Files for Your Collection</Title>
+    <Title>Collecting Files for Your Collection</Title>
 Once you have a new collection you need to get some files into it.  These may
 come from your ordinary file space, or from other Greenstone collections.  Some
 may already have attached metadata.  This section describes how to import files.
     <Section name="thegatherview">
-      <Title>5.1 The Gather View</Title>
+      <Title>The Gather View</Title>
 This section introduces the Gather area that you use to select what files
 to include in the collection you are building.
@@ -405,5 +405,5 @@
     </Section>
     <Section name="creatingfolders">
-      <Title>5.2 Creating Folders</Title>
+      <Title>Creating Folders</Title>
 This section shows how to create new folders.
       <Contents>
@@ -431,5 +431,5 @@
     </Section>
     <Section name="addingfiles">
-      <Title>5.3 Adding Files</Title>
+      <Title>Adding Files</Title>
 This section shows how to get files into your collection.
       <Contents>
@@ -475,5 +475,5 @@
     </Section>
     <Section name="removingfiles">
-      <Title>5.4 Removing Files</Title>
+      <Title>Removing Files</Title>
 This section describes how to remove files and folders from your collection.
       <Contents>
@@ -500,5 +500,5 @@
     </Section>
     <Section name="filteringthetree">
-      <Title>5.5 Filtering the Tree</Title>
+      <Title>Filtering the Tree</Title>
 "Filtering" the collection tree allows you to narrow down the search for particular files.
       <Contents>
@@ -528,5 +528,5 @@
 
   <Section name="enrichingacollection">
-    <Title>6.0 Enriching the Collection with Metadata</Title>
+    <Title>Enriching the Collection with Metadata</Title>
 Having gathered several files into the collection, now enrich them with
 additional information called "metadata".  This section explains how metadata is
@@ -535,5 +535,5 @@
 out of your documents).
     <Section name="theenrichview">
-      <Title>6.1 The Enrich View</Title>
+      <Title>The Enrich View</Title>
 This section describes how to input and edit metadata using the Enrich view.
       <Contents>
@@ -598,5 +598,5 @@
     </Section>
     <Section name="selectingmetadatasets">
-      <Title>6.2 Selecting Metadata Sets</Title>
+      <Title>Selecting Metadata Sets</Title>
 This section explains how to specify metadata elements and how to add
 metadata sets to your collection.
@@ -659,5 +659,5 @@
     </Section>
     <Section name="appendingmetadata">
-      <Title>6.3 Appending New Metadata</Title>
+      <Title>Appending New Metadata</Title>
 This section explains how to add metadata and values to files, and how
 to add new values for metadata elements.
@@ -726,5 +726,5 @@
     </Section>
     <Section name="addingpreviouslydefinedmetadata">
-      <Title>6.4 Adding Previously Defined Metadata</Title>
+      <Title>Adding Previously Defined Metadata</Title>
 This section explains how to add metadata that uses values already present in the value tree.
       <Contents>
@@ -749,5 +749,5 @@
     </Section>
     <Section name="updatingmetadata">
-      <Title>6.5 Updating Metadata</Title>
+      <Title>Updating Metadata</Title>
 This section explains how to update the metadata assigned to a file.
       <Contents>
@@ -780,5 +780,5 @@
     </Section>
     <Section name="removingmetadata">
-      <Title>6.6 Removing Metadata</Title>
+      <Title>Removing Metadata</Title>
 This section explains how to remove metadata from a file.
       <Contents>
@@ -812,5 +812,5 @@
     </Section>
     <Section name="reviewingmetadata">
-      <Title>6.7 Reviewing Assigned Metadata</Title>
+      <Title>Reviewing Assigned Metadata</Title>
 This section describes how to view all metadata assigned to an entire collection.
       <Contents>
@@ -873,5 +873,5 @@
     </Section>
     <Section name="importingpreviouslyassignedmetadata">
-      <Title>6.8 Importing Previously Assigned Metadata</Title>
+      <Title>Importing Previously Assigned Metadata</Title>
 This section describes how to import previously assigned metadata,
 and install parsers to handle various metadata types.
@@ -914,5 +914,5 @@
 
   <Section name="designingacollection">
-    <Title>7.0 Designing Your Collection's Appearance</Title>
+    <Title>Designing Your Collection's Appearance</Title>
 Once your files are marked up with metadata, you next decide how it should
 appear to users as a Greenstone collection.  What kind of information is
@@ -921,5 +921,5 @@
 things can be customized; this section describes how to do it.
     <Section name="thedesignview">
-      <Title>7.1 The Design View</Title>
+      <Title>The Design View</Title>
 This section introduces you to the design view and explains how to navigate
 between the various views within this pane.
@@ -944,5 +944,5 @@
     </Section>
     <Section name="generalsettings">
-      <Title>7.2 General Settings</Title>
+      <Title>General Settings</Title>
 This section explains how to review and alter the general settings associated
 with your collection.  First, under "Design Sections", click "General".
@@ -970,5 +970,5 @@
     </Section>
     <Section name="plugins">
-      <Title>7.3 Document Plugins</Title>
+      <Title>Document Plugins</Title>
 This section describes how to configure the document plugins the
 collection uses.  It explains how you specify what
@@ -1041,5 +1041,5 @@
     </Section>
     <Section name="searchtypes">
-      <Title>7.4 Search Types</Title>
+      <Title>Search Types</Title>
 This section explains how to modify a new design feature in Greenstone, Search Types, which allow fielded searching.  Under "Design Sections", click "Search Types".
       <Contents>
@@ -1080,5 +1080,5 @@
     </Section>
     <Section name="searchindexes">
-      <Title>7.5 Search Indexes</Title>
+      <Title>Search Indexes</Title>
 Indexes specify what parts of the collection are searchable.  This section explains how to add and remove indexes, and set a default index.  Under "Design Sections", click "Search Indexes".
       <Contents>
@@ -1124,5 +1124,5 @@
     </Section>
     <Section name="partitionindexes">
-      <Title>7.6 Partition Indexes</Title>
+      <Title>Partition Indexes</Title>
 Indexes are built on particular text or metadata sources.  The search space can
 be further controlled by partitioning the index, either by language or by a
@@ -1135,5 +1135,5 @@
 
       <Section name="definefilters">
-        <Title>7.6.1 Define Filters</Title>
+        <Title>Define Filters</Title>
 The section explains how to define a partition filter.
         <Contents>
@@ -1170,5 +1170,5 @@
       </Section>
       <Section name="assignpartitions">
-        <Title>7.6.2 Assign Partitions</Title>
+        <Title>Assign Partitions</Title>
 This section explains how to assign a previous defined partition filter.
         <Contents>
@@ -1201,5 +1201,5 @@
       </Section>
       <Section name="assignlanguages">
-        <Title>7.6.3 Assign Languages</Title>
+        <Title>Assign Languages</Title>
 This section details how to restrict search indexes to particular languages.
 You do this by generating a partition using the "Assign Languages" tab of the
@@ -1238,5 +1238,5 @@
     </Section>
     <Section name="xcollectionsearching">
-      <Title>7.7 Cross-Collection Searching</Title>
+      <Title>Cross-Collection Searching</Title>
 Greenstone can search across several different collections as though they were
 one.  This is done by creating a "super-collection" that comprises the
@@ -1259,5 +1259,5 @@
     </Section>
     <Section name="classifiers">
-      <Title>7.8 Classifiers</Title>
+      <Title>Classifiers</Title>
 This section explains how to assign "classifiers", which are used for browsing,
 to the collection.  Under "Design Sections", click "Browsing Classifiers".
@@ -1319,5 +1319,5 @@
     </Section>
     <Section name="formatstatements">
-      <Title>7.9 Format Features</Title>
+      <Title>Format Features</Title>
 Format commands control the structure and appearance of the collection.  They
 affect such things as where buttons appear when a document is shown, and what
@@ -1379,5 +1379,5 @@
     </Section>
     <Section name="translatetext">
-      <Title>7.10 Translate Text</Title>
+      <Title>Translate Text</Title>
 This section describes the translation view, where you can define
 language-specific text fragments for parts of the collection's interface.
@@ -1410,5 +1410,5 @@
     </Section>
     <Section name="metadatasets">
-      <Title>7.11 Metadata Sets</Title>
+      <Title>Metadata Sets</Title>
 This section explains the metadata set review panel.
 Under "Design Sections", click "Metadata Sets".
@@ -1429,10 +1429,10 @@
 
   <Section name="producingthecollection">
-    <Title>8.0 Producing Your Collection</Title>
+    <Title>Producing Your Collection</Title>
 Having collected the documents for the collection, annotated them with
 metadata, and designed how the collection will appear, you can now produce the
 collection using Greenstone.  This section explains how.
     <Section name="thecreateview">
-      <Title>8.1 The Create View</Title>
+      <Title>The Create View</Title>
 This section explains the Create view used to produce a collection.
       <Contents>
@@ -1460,5 +1460,5 @@
     </Section>
     <Section name="buildsettings">
-      <Title>8.2 Import and Build Settings</Title>
+      <Title>Import and Build Settings</Title>
 This section explains how to access the various import and build settings.
 For more information of importing and building read Chapter 1 of the Greenstone
@@ -1489,5 +1489,5 @@
     </Section>
     <Section name="messagelog">
-      <Title>8.3 Message Log</Title>
+      <Title>Message Log</Title>
 This section explains the message log.
       <Contents>
@@ -1504,5 +1504,5 @@
     </Section>
     <Section name="theprogressview">
-      <Title>8.4 The Progress View</Title>
+      <Title>The Progress View</Title>
 This section explains the building progress view.
       <Contents>
@@ -1523,8 +1523,8 @@
 
   <Section name="previewingthecollection">
-    <Title>9.0 Previewing the Collection</Title>
+    <Title>Previewing the Collection</Title>
 This section explains how to use the "Preview" view to inspect the collection you have produced.
     <Section name="thepreviewview">
-      <Title>9.1 The Preview View</Title>
+      <Title>The Preview View</Title>
 This section explains how to use the "Preview" view to inspect the collection you have produced.
       <Contents>
@@ -1543,9 +1543,9 @@
 
   <Section name="miscellaneous">
-    <Title>10.0 Miscellaneous</Title>
+    <Title>Miscellaneous</Title>
 This section describes features of the Librarian Interface that are not associated
 with any particular view.
     <Section name="preferences">
-      <Title>10.1 Preferences</Title>
+      <Title>Preferences</Title>
 This section explains the preferences dialog, accessed by opening "File" -> "Preferences".
       <Contents>
@@ -1600,5 +1600,5 @@
     </Section>
     <Section name="fileassociations">
-      <Title>10.2 File Associations</Title>
+      <Title>File Associations</Title>
 The Librarian Interface uses particular application programs to open particular
 file types.  This section explains how to assign and edit these file
@@ -1641,5 +1641,5 @@
 
   <Section name="metadatasetandprofileediting">
-    <Title>11.0 Metadata Set and Profile Editing</Title>
+    <Title>Metadata Set and Profile Editing</Title>
 This section explains how to edit metadata sets used by the Librarian
 Interface.  This is the only way to remove a value from the "Previous Values"
@@ -1655,5 +1655,5 @@
 bar and select the "Edit Set" action.
     <Section name="editingmetadatasets">
-      <Title>11.1 Editing Metadata Sets</Title>
+      <Title>Editing Metadata Sets</Title>
 This section describes how to edit metadata sets and previously assigned values.
       <Contents>
@@ -1728,5 +1728,5 @@
     </Section>
     <Section name="editingimportprofiles">
-      <Title>11.2 Editing Metadata Import Profiles</Title>
+      <Title>Editing Metadata Import Profiles</Title>
 This section describes how to edit metadata importing profiles.
       <Contents>