Index: trunk/gsdl/macros/port-pt.dm
===================================================================
--- trunk/gsdl/macros/port-pt.dm	(revision 5445)
+++ trunk/gsdl/macros/port-pt.dm	(revision 5446)
@@ -175,157 +175,157 @@
 
 ## "ÃNICIO" ## top_nav_button ## chome ##
-_httpiconchomeof_ {_httpimg_/chomeof.gif}
-_httpiconchomeon_ {_httpimg_/chomeon.gif}
+_httpiconchomeof_ [l=pt-pt] {_httpimg_/pt-pt/chomeof.gif}
+_httpiconchomeon_ [l=pt-pt] {_httpimg_/pt-pt/chomeon.gif}
 
 ## "AJUDA" ## top_nav_button ## chelp ##
-_httpiconchelpof_ {_httpimg_/chelpof.gif}
-_httpiconchelpon_ {_httpimg_/chelpon.gif}
+_httpiconchelpof_ [l=pt-pt] {_httpimg_/pt-pt/chelpof.gif}
+_httpiconchelpon_ [l=pt-pt] {_httpimg_/pt-pt/chelpon.gif}
 
 ## "PREFERÃNCIAS" ## top_nav_button ## cpref ##
-_httpiconcprefof_ {_httpimg_/cprefof.gif}
-_httpiconcprefon_ {_httpimg_/cprefon.gif}
+_httpiconcprefof_ [l=pt-pt] {_httpimg_/pt-pt/cprefof.gif}
+_httpiconcprefon_ [l=pt-pt] {_httpimg_/pt-pt/cprefon.gif}
 
 ## "ENVIAR NOTA" ## top_nav_button ## cusab ##
-_httpiconcusabof_ {_httpimg_/cusabof.gif}
-_httpiconcusabon_ {_httpimg_/cusabon.gif}
+_httpiconcusabof_ [l=pt-pt] {_httpimg_/pt-pt/cusabof.gif}
+_httpiconcusabon_ [l=pt-pt] {_httpimg_/pt-pt/cusabon.gif}
 
 
 ## "ajuda" ## green_title ## h_help ##
-_httpiconhhelp_ {_httpimg_/h\_help.gif}
-_widthhhelp_ {200}
-_heighthhelp_ {57}
+_httpiconhhelp_ [l=pt-pt] {_httpimg_/pt-pt/h\_help.gif}
+_widthhhelp_ [l=pt-pt] {200}
+_heighthhelp_ [l=pt-pt] {57}
 
 ## "autores a-z" ## nav_bar_button ## tauth ##
-_httpicontauthgr_ {_httpimg_/tauthgr.gif}
-_httpicontauthof_ {_httpimg_/tauthof.gif}
-_httpicontauthon_ {_httpimg_/tauthon.gif}
-_widthtauthx_ {110}
+_httpicontauthgr_ [l=pt-pt] {_httpimg_/pt-pt/tauthgr.gif}
+_httpicontauthof_ [l=pt-pt] {_httpimg_/pt-pt/tauthof.gif}
+_httpicontauthon_ [l=pt-pt] {_httpimg_/pt-pt/tauthon.gif}
+_widthtauthx_ [l=pt-pt] {95}
 
 ## "legendas" ## nav_bar_button ## tcapt ##
-_httpicontcaptgr_ {_httpimg_/tcaptgr.gif}
-_httpicontcaptof_ {_httpimg_/tcaptof.gif}
-_httpicontcapton_ {_httpimg_/tcapton.gif}
-_widthtcaptx_ [l=en] {87}
+_httpicontcaptgr_ [l=pt-pt] {_httpimg_/pt-pt/tcaptgr.gif}
+_httpicontcaptof_ [l=pt-pt] {_httpimg_/pt-pt/tcaptof.gif}
+_httpicontcapton_ [l=pt-pt] {_httpimg_/pt-pt/tcapton.gif}
+_widthtcaptx_ [l=pt-pt] {87}
 
 ## "sÃ©ries" ## nav_bar_button ## tser ##
-_httpicontsergr_ {_httpimg_/tsergr.gif}
-_httpicontserof_ {_httpimg_/tserof.gif}
-_httpicontseron_ {_httpimg_/tseron.gif}
-_widthtserx_ {87}
+_httpicontsergr_ [l=pt-pt] {_httpimg_/pt-pt/tsergr.gif}
+_httpicontserof_ [l=pt-pt] {_httpimg_/pt-pt/tserof.gif}
+_httpicontseron_ [l=pt-pt] {_httpimg_/pt-pt/tseron.gif}
+_widthtserx_ [l=pt-pt] {87}
 
 ## "datas" ## nav_bar_button ## tdate ##
-_httpicontdategr_ {_httpimg_/tdategr.gif}
-_httpicontdateof_ {_httpimg_/tdateof.gif}
-_httpicontdateon_ {_httpimg_/tdateon.gif}
-_widthtdatex_ {87}
+_httpicontdategr_ [l=pt-pt] {_httpimg_/pt-pt/tdategr.gif}
+_httpicontdateof_ [l=pt-pt] {_httpimg_/pt-pt/tdateof.gif}
+_httpicontdateon_ [l=pt-pt] {_httpimg_/pt-pt/tdateon.gif}
+_widthtdatex_ [l=pt-pt] {87}
 
 ## "assuntos" ## nav_bar_button ## tsubj ##
-_httpicontsubjgr_ {_httpimg_/tsubjgr.gif}
-_httpicontsubjon_ {_httpimg_/tsubjon.gif}
-_httpicontsubjof_ {_httpimg_/tsubjof.gif}
-_widthtsubjx_ {87}
+_httpicontsubjgr_ [l=pt-pt] {_httpimg_/pt-pt/tsubjgr.gif}
+_httpicontsubjon_ [l=pt-pt] {_httpimg_/pt-pt/tsubjon.gif}
+_httpicontsubjof_ [l=pt-pt] {_httpimg_/pt-pt/tsubjof.gif}
+_widthtsubjx_ [l=pt-pt] {87}
 
 ## "para" ## nav_bar_button ## tto ##
-_httpiconttogr_ {_httpimg_/ttogr.gif}
-_httpiconttoon_ {_httpimg_/ttoon.gif}
-_httpiconttoof_ {_httpimg_/ttoof.gif}
-_widthttox_ {87}
+_httpiconttogr_ [l=pt-pt] {_httpimg_/pt-pt/ttogr.gif}
+_httpiconttoon_ [l=pt-pt] {_httpimg_/pt-pt/ttoon.gif}
+_httpiconttoof_ [l=pt-pt] {_httpimg_/pt-pt/ttoof.gif}
+_widthttox_ [l=pt-pt] {87}
 
 ## "de" ## nav_bar_button ## tfrom ##
-_httpicontfromgr_ {_httpimg_/tfromgr.gif}
-_httpicontfromon_ {_httpimg_/tfromon.gif}
-_httpicontfromof_ {_httpimg_/tfromof.gif}
-_widthtfromx_ {87}
+_httpicontfromgr_ [l=pt-pt] {_httpimg_/pt-pt/tfromgr.gif}
+_httpicontfromon_ [l=pt-pt] {_httpimg_/pt-pt/tfromon.gif}
+_httpicontfromof_ [l=pt-pt] {_httpimg_/pt-pt/tfromof.gif}
+_widthtfromx_ [l=pt-pt] {87}
 
 ## "organizaÃ§Ãµes" ## nav_bar_button ## torg ##
-_httpicontorggr_{_httpimg_/torggr.gif}
-_httpicontorgon_{_httpimg_/torgon.gif}
-_httpicontorgof_{_httpimg_/torgof.gif}
-_widthtorgx_ {114}
+_httpicontorggr_ [l=pt-pt] {_httpimg_/pt-pt/torggr.gif}
+_httpicontorgon_ [l=pt-pt] {_httpimg_/pt-pt/torgon.gif}
+_httpicontorgof_ [l=pt-pt] {_httpimg_/pt-pt/torgof.gif}
+_widthtorgx_ [l=pt-pt] {0}
 
 ## "como" ## nav_bar_button ## thow ##
-_httpiconthowgr_{_httpimg_/thowgr.gif}
-_httpiconthowon_{_httpimg_/thowon.gif}
-_httpiconthowof_{_httpimg_/thowof.gif}
-_widththowx_ {87}
+_httpiconthowgr_ [l=pt-pt] {_httpimg_/pt-pt/thowgr.gif}
+_httpiconthowon_ [l=pt-pt] {_httpimg_/pt-pt/thowon.gif}
+_httpiconthowof_ [l=pt-pt] {_httpimg_/pt-pt/thowof.gif}
+_widththowx_ [l=pt-pt] {87}
 
 ## "tÃ³pico" ## nav_bar_button ## ttopic ##
-_httpiconttopicgr_{_httpimg_/ttopicgr.gif}
-_httpiconttopicon_{_httpimg_/ttopicon.gif}
-_httpiconttopicof_{_httpimg_/ttopicof.gif}
-_widthttopicx_ {87}
+_httpiconttopicgr_ [l=pt-pt] {_httpimg_/pt-pt/ttopicgr.gif}
+_httpiconttopicon_ [l=pt-pt] {_httpimg_/pt-pt/ttopicon.gif}
+_httpiconttopicof_ [l=pt-pt] {_httpimg_/pt-pt/ttopicof.gif}
+_widthttopicx_ [l=pt-pt] {87}
 
 ## "listar" ## nav_bar_button ## tbrwse ##
-_httpicontbrwsegr_{_httpimg_/tbrwsegr.gif}
-_httpicontbrwseon_{_httpimg_/tbrwseon.gif}
-_httpicontbrwseof_{_httpimg_/tbrwseof.gif}
-_widthtbrwsex_ {87}
+_httpicontbrwsegr_ [l=pt-pt] {_httpimg_/pt-pt/tbrwsegr.gif}
+_httpicontbrwseon_ [l=pt-pt] {_httpimg_/pt-pt/tbrwseon.gif}
+_httpicontbrwseof_ [l=pt-pt] {_httpimg_/pt-pt/tbrwseof.gif}
+_widthtbrwsex_ [l=pt-pt] {87}
 
 ## "buscar" ## nav_bar_button ## tsrch ##
-_httpicontsrchgr_ {_httpimg_/tsrchgr.gif}
-_httpicontsrchof_ {_httpimg_/tsrchof.gif}
-_httpicontsrchon_ {_httpimg_/tsrchon.gif}
-_widthtsrchx_ {87}
+_httpicontsrchgr_ [l=pt-pt] {_httpimg_/pt-pt/tsrchgr.gif}
+_httpicontsrchof_ [l=pt-pt] {_httpimg_/pt-pt/tsrchof.gif}
+_httpicontsrchon_ [l=pt-pt] {_httpimg_/pt-pt/tsrchon.gif}
+_widthtsrchx_ [l=pt-pt] {87}
 
 ## "tÃ­tulos a-z" ## nav_bar_button ## ttitl ##
-_httpiconttitlgr_ {_httpimg_/ttitlgr.gif}
-_httpiconttitlof_ {_httpimg_/ttitlof.gif}
-_httpiconttitlon_ {_httpimg_/ttitlon.gif}
-_widthttitlx_ {87}
+_httpiconttitlgr_ [l=pt-pt] {_httpimg_/pt-pt/ttitlgr.gif}
+_httpiconttitlof_ [l=pt-pt] {_httpimg_/pt-pt/ttitlof.gif}
+_httpiconttitlon_ [l=pt-pt] {_httpimg_/pt-pt/ttitlon.gif}
+_widthttitlx_ [l=pt-pt] {87}
 
 ## "pessoas" ## nav_bar_button ## tpeop ##
-_httpicontpeopgr_ {_httpimg_/tpeopgr.gif}
-_httpicontpeopof_ {_httpimg_/tpeopof.gif}
-_httpicontpeopon_ {_httpimg_/tpeopon.gif}
-_widthtpeopx_ {97}
+_httpicontpeopgr_ [l=pt-pt] {_httpimg_/pt-pt/tpeopgr.gif}
+_httpicontpeopof_ [l=pt-pt] {_httpimg_/pt-pt/tpeopof.gif}
+_httpicontpeopon_ [l=pt-pt] {_httpimg_/pt-pt/tpeopon.gif}
+_widthtpeopx_ [l=pt-pt] {87}
 
 ## "lÃ­ngua" ## nav_bar_button ## tlang ##
-_httpicontlanggr_ {_httpimg_/tlanggr.gif}
-_httpicontlangon_ {_httpimg_/tlangon.gif}
-_httpicontlangof_ {_httpimg_/tlangof.gif}
-_widthtlangx_ {87}
+_httpicontlanggr_ [l=pt-pt] {_httpimg_/pt-pt/tlanggr.gif}
+_httpicontlangon_ [l=pt-pt] {_httpimg_/pt-pt/tlangon.gif}
+_httpicontlangof_ [l=pt-pt] {_httpimg_/pt-pt/tlangof.gif}
+_widthtlangx_ [l=pt-pt] {87}
 
 ## "acrÃ³nimo" ## nav_bar_button ## tacro ##
-_httpicontacrogr_ {_httpimg_/tacrogr.gif}
-_httpicontacroof_ {_httpimg_/tacroof.gif}
-_httpicontacroon_ {_httpimg_/tacroon.gif}
-_widthtacrox_ {87}
+_httpicontacrogr_ [l=pt-pt] {_httpimg_/pt-pt/tacrogr.gif}
+_httpicontacroof_ [l=pt-pt] {_httpimg_/pt-pt/tacroof.gif}
+_httpicontacroon_ [l=pt-pt] {_httpimg_/pt-pt/tacroon.gif}
+_widthtacrox_ [l=pt-pt] {87}
 
 #TODO singular or plural?
 
 ## "frases" ## nav_bar_button ## tphrse ##
-_httpicontphrsegr_ {_httpimg_/tphrsegr.gif}
-_httpicontphrseof_ {_httpimg_/tphrseof.gif}
-_httpicontphrseon_ {_httpimg_/tphrseon.gif}
-_widthtphrsex_ {87}
+_httpicontphrsegr_ [l=pt-pt] {_httpimg_/pt-pt/tphrsegr.gif}
+_httpicontphrseof_ [l=pt-pt] {_httpimg_/pt-pt/tphrseof.gif}
+_httpicontphrseon_ [l=pt-pt] {_httpimg_/pt-pt/tphrseon.gif}
+_widthtphrsex_ [l=pt-pt] {87}
 
 ## "artistas" ## nav_bar_button ## tartst ##
-_httpicontartstgr_ {_httpimg_/tartstgr.gif}
-_httpicontartstof_ {_httpimg_/tartstof.gif}
-_httpicontartston_ {_httpimg_/tartston.gif}
-_widthtartstx_ {87}
+_httpicontartstgr_ [l=pt-pt] {_httpimg_/pt-pt/tartstgr.gif}
+_httpicontartstof_ [l=pt-pt] {_httpimg_/pt-pt/tartstof.gif}
+_httpicontartston_ [l=pt-pt] {_httpimg_/pt-pt/tartston.gif}
+_widthtartstx_ [l=pt-pt] {87}
 
 ## "nomes de ficheiros" ## nav_bar_button ## tsrc ##
-_httpicontsrcgr_ {_httpimg_/tsrcgr.gif}
-_httpicontsrcof_ {_httpimg_/tsrcof.gif}
-_httpicontsrcon_ {_httpimg_/tsrcon.gif}
-_widthtsrcx_ {87}
+_httpicontsrcgr_ [l=pt-pt] {_httpimg_/pt-pt/tsrcgr.gif}
+_httpicontsrcof_ [l=pt-pt] {_httpimg_/pt-pt/tsrcof.gif}
+_httpicontsrcon_ [l=pt-pt] {_httpimg_/pt-pt/tsrcon.gif}
+_widthtsrcx_ [l=pt-pt] {160}
 
 ## "palavras-chave" ## nav_bar_button ## tkw ##
-_httpicontkwgr_ {_httpimg_/tkwgr.gif}
-_httpicontkwof_ {_httpimg_/tkwof.gif}
-_httpicontkwon_ {_httpimg_/tkwon.gif}
-_widthtkwx_ {87}
+_httpicontkwgr_ [l=pt-pt] {_httpimg_/pt-pt/tkwgr.gif}
+_httpicontkwof_ [l=pt-pt] {_httpimg_/pt-pt/tkwof.gif}
+_httpicontkwon_ [l=pt-pt] {_httpimg_/pt-pt/tkwon.gif}
+_widthtkwx_ [l=pt-pt] {124}
 
 ## "volumes" ## nav_bar_button ## tvol ##
-_httpicontvolgr_ {_httpimg_/tvolgr.gif}
-_httpicontvolof_ {_httpimg_/tvolof.gif}
-_httpicontvolon_ {_httpimg_/tvolon.gif}
-_widthtvolx_ {87}
+_httpicontvolgr_ [l=pt-pt] {_httpimg_/pt-pt/tvolgr.gif}
+_httpicontvolof_ [l=pt-pt] {_httpimg_/pt-pt/tvolof.gif}
+_httpicontvolon_ [l=pt-pt] {_httpimg_/pt-pt/tvolon.gif}
+_widthtvolx_ [l=pt-pt] {87}
 
 ## "O Tradutor" ## top_nav_button ## ctrans ##
-_httpiconctransof_ {_httpimg_/en/ctransof.gif}
-_httpiconctranson_ {_httpimg_/en/ctranson.gif}
-_widthctrans_ {100}
+_httpiconctransof_ [l=pt-pt] {_httpimg_/pt-pt/ctransof.gif}
+_httpiconctranson_ [l=pt-pt] {_httpimg_/pt-pt/ctranson.gif}
+_widthctrans_ [l=pt-pt] {100}
 
 
@@ -356,7 +356,7 @@
 
 ## "sobre" ## green_title ## h_about ##
-_httpiconhabout_ {_httpimg_/h\_about.gif}
-_widthhabout_ {200}
-_heighthabout_ {57}
+_httpiconhabout_ [l=pt-pt] {_httpimg_/pt-pt/h\_about.gif}
+_widthhabout_ [l=pt-pt] {200}
+_heighthabout_ [l=pt-pt] {57}
 
 
@@ -428,135 +428,135 @@
 
 ## "tÃ­tulos a-z" ## green_title ## h_title ##
-_httpiconhtitle_ {_httpimg_/h\_title.gif}
-_widthhtitle_ {200}
-_heighthtitle_ {57}
+_httpiconhtitle_ [l=pt-pt] {_httpimg_/pt-pt/h\_title.gif}
+_widthhtitle_ [l=pt-pt] {200}
+_heighthtitle_ [l=pt-pt] {57}
 
 ## "autores a-z" ## green_title ## h_auth ##
-_httpiconhauth_ {_httpimg_/h\_auth.gif}
-_widthhauth_ {200}
-_heighthauth_ {57}
+_httpiconhauth_ [l=pt-pt] {_httpimg_/pt-pt/h\_auth.gif}
+_widthhauth_ [l=pt-pt] {200}
+_heighthauth_ [l=pt-pt] {57}
 
 ## "assuntos" ## green_title ## h_subj ##
-_httpiconhsubj_ {_httpimg_/h\_subj.gif}
-_widthhsubj_ {200}
-_heighthsubj_ {57}
+_httpiconhsubj_ [l=pt-pt] {_httpimg_/pt-pt/h\_subj.gif}
+_widthhsubj_ [l=pt-pt] {200}
+_heighthsubj_ [l=pt-pt] {57}
 
 ## "para" ## green_title ## h_to ##
-_httpiconhto_ {_httpimg_/h\_to.gif}
-_widthhto_ {200}
-_heighthto_ {57}
+_httpiconhto_ [l=pt-pt] {_httpimg_/pt-pt/h\_to.gif}
+_widthhto_ [l=pt-pt] {200}
+_heighthto_ [l=pt-pt] {57}
 
 ## "de" ## green_title ## h_from ##
-_httpiconhfrom_ {_httpimg_/h\_from.gif}
-_widthhfrom_ {200}
-_heighthfrom_ {57}
+_httpiconhfrom_ [l=pt-pt] {_httpimg_/pt-pt/h\_from.gif}
+_widthhfrom_ [l=pt-pt] {200}
+_heighthfrom_ [l=pt-pt] {57}
 
 ## "sÃ©ries" ## green_title ## h_ser ##
-_httpiconhser_ {_httpimg_/h\_ser.gif}
-_widthhser_ {200}
-_heighthser_ {57}
+_httpiconhser_ [l=pt-pt] {_httpimg_/pt-pt/h\_ser.gif}
+_widthhser_ [l=pt-pt] {200}
+_heighthser_ [l=pt-pt] {57}
 
 ## "datas" ## green_title ## h_date ##
-_httpiconhdate_ {_httpimg_/h\_date.gif}
-_widthhdate_ {200}
-_heighthdate_ {57}
+_httpiconhdate_ [l=pt-pt] {_httpimg_/pt-pt/h\_date.gif}
+_widthhdate_ [l=pt-pt] {200}
+_heighthdate_ [l=pt-pt] {57}
 
 ## "como" ## green_title ## h_how ##
-_httpiconhhow_ {_httpimg_/h\_how.gif}
-_widthhhow_ {200}
-_heighthhow_ {57}
+_httpiconhhow_ [l=pt-pt] {_httpimg_/pt-pt/h\_how.gif}
+_widthhhow_ [l=pt-pt] {200}
+_heighthhow_ [l=pt-pt] {57}
 
 ## "tÃ³picos" ## green_title ## h_topic ##
-_httpiconhtopic_ {_httpimg_/h\_topic.gif}
-_widthhtopic_ {200}
-_heighthtopic_ {57}
+_httpiconhtopic_ [l=pt-pt] {_httpimg_/pt-pt/h\_topic.gif}
+_widthhtopic_ [l=pt-pt] {200}
+_heighthtopic_ [l=pt-pt] {57}
 
 ## "organizaÃ§Ã£o" ## green_title ## h_org ##
-_httpiconhorg_ {_httpimg_/h\_org.gif}
-_widthhorg_ {250}
-_heighthorg_ {57}
+_httpiconhorg_ [l=pt-pt] {_httpimg_/pt-pt/h\_org.gif}
+_widthhorg_ [l=pt-pt] {250}
+_heighthorg_ [l=pt-pt] {57}
 
 ## "listar" ## green_title ## h_brwse ##
-_httpiconhbrwse_ {_httpimg_/h\_brwse.gif}
-_widthhbrwse_ {200}
-_heighthbrwse_ {57}
+_httpiconhbrwse_ [l=pt-pt] {_httpimg_/pt-pt/h\_brwse.gif}
+_widthhbrwse_ [l=pt-pt] {200}
+_heighthbrwse_ [l=pt-pt] {57}
 
 ## "pessoas" ## green_title ## h_people ##
-_httpiconhpeople_ {_httpimg_/h\_people.gif}
-_widthhpeople_ {200}
-_heighthpeople_ {57}
+_httpiconhpeople_ [l=pt-pt] {_httpimg_/pt-pt/h\_people.gif}
+_widthhpeople_ [l=pt-pt] {200}
+_heighthpeople_ [l=pt-pt] {57}
 
 ## "lÃ­nguas" ## green_title ## h_lang ##
-_httpiconhlanguage_ {_httpimg_/h\_lang.gif}
-_widthhlanguage_ {200}
-_heighthlanguage_ {57}
+_httpiconhlanguage_ [l=pt-pt] {_httpimg_/pt-pt/h\_lang.gif}
+_widthhlanguage_ [l=pt-pt] {200}
+_heighthlanguage_ [l=pt-pt] {57}
 
 ## "acrÃ³nimos" ## green_title ## h_acro ##
-_httpiconhacronym_ {_httpimg_/h\_acro.gif}
-_widthhacronym_ {200}
-_heighthacronym_ {57}
+_httpiconhacronym_ [l=pt-pt] {_httpimg_/pt-pt/h\_acro.gif}
+_widthhacronym_ [l=pt-pt] {200}
+_heighthacronym_ [l=pt-pt] {57}
 
 ## "frases" ## green_title ## h_phrse ##
-_httpiconhphrse_ {_httpimg_/h\_phrse.gif}
-_widthhphrse_ {200}
-_heighthphrse_ {57}
+_httpiconhphrse_ [l=pt-pt] {_httpimg_/pt-pt/h\_phrse.gif}
+_widthhphrse_ [l=pt-pt] {200}
+_heighthphrse_ [l=pt-pt] {57}
 
 ## "artistas" ## green_title ## h_artist ##
-_httpiconhartist_ {_httpimg_/h\_artist.gif}
-_widthhartist_ {200}
-_heighthartist_ {57}
+_httpiconhartist_ [l=pt-pt] {_httpimg_/pt-pt/h\_artist.gif}
+_widthhartist_ [l=pt-pt] {200}
+_heighthartist_ [l=pt-pt] {57}
 
 ## "ficheiros" ## green_title ## h_src ##
-_httpiconhsrc_ {_httpimg_/h\_src.gif}
-_widthhsrc_ {200}
-_heighthsrc_ {57}
+_httpiconhsrc_ [l=pt-pt] {_httpimg_/pt-pt/h\_src.gif}
+_widthhsrc_ [l=pt-pt] {200}
+_heighthsrc_ [l=pt-pt] {57}
 
 ## "palavras-chave" ## green_title ## h_kw ##
-_httpiconhkw_ {_httpimg_/h\_kw.gif}
-_widthhkw_ {200}
-_heighthkw_ {57}
+_httpiconhkw_ [l=pt-pt] {_httpimg_/pt-pt/h\_kw.gif}
+_widthhkw_ [l=pt-pt] {200}
+_heighthkw_ [l=pt-pt] {57}
 
 ## "volumes" ## green_title ## h_vol ##
-_httpiconhvol_ {_httpimg_/h\_vol.gif}
-_widthhvol_ {200}
-_heighthvol_ {57}
+_httpiconhvol_ [l=pt-pt] {_httpimg_/pt-pt/h\_vol.gif}
+_widthhvol_ [l=pt-pt] {200}
+_heighthvol_ [l=pt-pt] {57}
 
 ## "legendas" ## green_title ## h_capt ##
-_httpiconhcapt_ {_httpimg_/h\_capt.gif}
-_widthhcapt_ {200}
-_heighthcapt_ {57}
+_httpiconhcapt_ [l=pt-pt] {_httpimg_/pt-pt/h\_capt.gif}
+_widthhcapt_ [l=pt-pt] {200}
+_heighthcapt_ [l=pt-pt] {57}
 
 
 ## "CONTINUAR??" ## top_nav_button ## cont ##
-_httpiconcontoff_ {_httpimg_/contof.gif}
-_httpiconconton_ {_httpimg_/conton.gif}
+_httpiconcontoff_ [l=pt-pt] {_httpimg_/pt-pt/contof.gif}
+_httpiconconton_ [l=pt-pt] {_httpimg_/pt-pt/conton.gif}
 
 ## "EXPANDIR TEXTO" ## document_button ## eallt ## 
-_httpiconealltof_ {_httpimg_/ealltof.gif}
-_httpiconeallton_ {_httpimg_/eallton.gif}
+_httpiconealltof_ [l=pt-pt] {_httpimg_/pt-pt/ealltof.gif}
+_httpiconeallton_ [l=pt-pt] {_httpimg_/pt-pt/eallton.gif}
 
 ## "CONTRAIR CONTEÃDO" ## document_button ## econc ##
-_httpiconeconcof_ {_httpimg_/econcof.gif}
-_httpiconeconcon_ {_httpimg_/econcon.gif}
+_httpiconeconcof_ [l=pt-pt] {_httpimg_/pt-pt/econcof.gif}
+_httpiconeconcon_ [l=pt-pt] {_httpimg_/pt-pt/econcon.gif}
 
 ## "SEPARAR" ## document_button ## edtch ##
-_httpiconedtchof_ {_httpimg_/edtchof.gif}
-_httpiconedtchon_ {_httpimg_/edtchon.gif}
+_httpiconedtchof_ [l=pt-pt] {_httpimg_/pt-pt/edtchof.gif}
+_httpiconedtchon_ [l=pt-pt] {_httpimg_/pt-pt/edtchon.gif}
 
 ## "EXPANDIR CONTEÃDO" ## document_button ## eexpc ##
-_httpiconeexpcof_ {_httpimg_/eexpcof.gif}
-_httpiconeexpcon_ {_httpimg_/eexpcon.gif}
+_httpiconeexpcof_ [l=pt-pt] {_httpimg_/pt-pt/eexpcof.gif}
+_httpiconeexpcon_ [l=pt-pt] {_httpimg_/pt-pt/eexpcon.gif}
 
 ## "CONTRAIR TEXTO" ## document_button ## etsec ##
-_httpiconetsecof_ {_httpimg_/etsecof.gif}
-_httpiconetsecon_ {_httpimg_/etsecon.gif}
+_httpiconetsecof_ [l=pt-pt] {_httpimg_/pt-pt/etsecof.gif}
+_httpiconetsecon_ [l=pt-pt] {_httpimg_/pt-pt/etsecon.gif}
 
 ## "DESTACAR" ## document_button ## ehl ##
-_httpiconehlof_ {_httpimg_/ehlof.gif}
-_httpiconehlon_ {_httpimg_/ehlon.gif}
+_httpiconehlof_ [l=pt-pt] {_httpimg_/pt-pt/ehlof.gif}
+_httpiconehlon_ [l=pt-pt] {_httpimg_/pt-pt/ehlon.gif}
 
 ## "NÃO DESTACAR" ## document_button ## enhl ##
-_httpiconenhlof_ {_httpimg_/enhlof.gif}
-_httpiconenhlon_ {_httpimg_/enhlon.gif}
+_httpiconenhlof_ [l=pt-pt] {_httpimg_/pt-pt/enhlof.gif}
+_httpiconenhlon_ [l=pt-pt] {_httpimg_/pt-pt/enhlon.gif}
 
 
@@ -675,17 +675,17 @@
 
 ## "pesquisa" ## green_title ## h_search ##
-_httpiconhsearch_ {_httpimg_/h\_search.gif}
-_widthhsearch_ {200}
-_heighthsearch_ {57}
+_httpiconhsearch_ [l=pt-pt] {_httpimg_/pt-pt/h\_search.gif}
+_widthhsearch_ [l=pt-pt] {200}
+_heighthsearch_ [l=pt-pt] {57}
 
 ## "resultados" ## green_bar_left_aligned ## qryresb ##
-_httpiconqryresb_ {_httpimg_/qryresb.gif}
-_widthqryresb_ {_pagewidth_}
-_heightqryresb_ {17}
+_httpiconqryresb_ [l=pt-pt] {_httpimg_/pt-pt/qryresb.gif}
+_widthqryresb_ [l=pt-pt] {_pagewidth_}
+_heightqryresb_ [l=pt-pt] {17}
 
 ## "histÃ³rico" ## green_bar_left_aligned ## schhistb ##
-_httpiconsrchhistb_ {_httpimg_/schhistb.gif}
-_widthsrchhistb_ {_pagewidth_}
-_heightsrchhistb_ {17}
+_httpiconsrchhistb_ [l=pt-pt] {_httpimg_/pt-pt/schhistb.gif}
+_widthsrchhistb_ [l=pt-pt] {_pagewidth_}
+_heightsrchhistb_ [l=pt-pt] {17}
 
 
@@ -761,7 +761,7 @@
 
 ## "preferÃªncias" ## green_title ## h_pref ##
-_httpiconhpref_ {_httpimg_/h\_pref.gif}
-_widthhpref_ {200}
-_heighthpref_ {57}
+_httpiconhpref_ [l=pt-pt] {_httpimg_/pt-pt/h\_pref.gif}
+_widthhpref_ [l=pt-pt] {200}
+_heighthpref_ [l=pt-pt] {57}
 
 #####################################################################